<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Installation de NPDS REvolution 11 WS                                */
/*                                                                      */
/* NPDS Copyright (c) 2002-2012 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
if (!function_exists("Mysql_Connexion")) {
   include ("mainfile.php");
}

function icare_delete_Dir($rep) {
   if (is_dir($rep)) {
      $dir=opendir($rep);
      chdir($rep);
      while(false!==($nom = readdir($dir))) {
         if ($nom != "." && $nom != ".." && $nom != "") {
            if (is_dir($nom)) {
               $archive[$nom] = icare_delete_Dir($nom);
               @rmdir($nom);
            } elseif(is_file($nom)) {
               @unlink($nom);
            }
         }
      }
      chdir("..");
      closedir($dir);
   }
   return $archive;
}
function icare_copy_Dir($chemin, $rep) {
   if (is_dir($rep)) {
      $dir=opendir($rep);
      chdir($rep);
      while(false!==($nom = readdir($dir))) {
         if ($nom!="." && $nom!=".." && $nom!="" & $nom!="developpeur") {
            if (is_dir($nom)) {
               if ($nom!="mns") {
                  $archive[$nom] = icare_copy_Dir($chemin, $nom);
               } else {
                  // copy du fichier matrice
                  @copy("$chemin/modules/blog/matrice/style.css", "$chemin/users_private/$rep/$nom/style.css");
               }
            }
         }
      }
      chdir("..");
      closedir($dir);
   }
   return ($archive);
}

   include("header.php");
   opentable();
   echo "<p style=\"text-align: center;\";><img src=\"modules/groupe/matrice/groupe.png\" align=\"center\" /></p>";
   echo "<p style=\"text-align: center;\";>by Dev & Jpb</p >";
   echo "<h3>".aff_langue("[french]Installation de NPDS REvolution WS[/french][english]Install NPDS REvolution WS[/english][spanish]Instalaci&oacute;n NPDS REvolution WS[/spanish][german]Installieren NPDS REvolution WS[/german]")."</h3>";

   // Suppression des fichiers
   @unlink("IZ-Xinstall.ok");
   @rmdir("install");
   chdir('modules/upload');
      icare_delete_Dir('include_minisite');
      @rmdir ('include_minisite');
      @unlink('include/minigfsb.php');
      @unlink('upload_minisite.php');
   chdir('../..');
   @unlink('modules/marquetapage/mod.gif');

   @unlink('modules/f-manager/users/membre_mns.conf.php');
   echo "<ul><li>".aff_langue("[french]Suppression de certains fichiers[/french][english]Files deletion[/english][spanish]Quite algunos archivos[/spanish][german]L&ouml;schen Sie einige Dateien[/german]")."</li><br />";

   // Copie des fichiers dans les themes
   include ("modules/upload/upload.conf.php");
   if ($DOCUMENTROOT=="") {
      global $DOCUMENT_ROOT;
      if ($DOCUMENT_ROOT) {
         $DOCUMENTROOT=$DOCUMENT_ROOT;
      } else {
         $DOCUMENTROOT=$_SERVER['DOCUMENT_ROOT'];
      }
   }
   $dir=$DOCUMENTROOT.$racine;

   // copie la CSS de minisite dans tous les rep mns des membres (s'ils ont un mns)
   icare_copy_Dir($dir, 'users_private');
   echo "<li>".aff_langue("[french]Copie des fichiers CSS dans les minisites[/french][english]Copy CSS files in minisites[/english][spanish]Copiar archivos CSS en minisites[/spanish][german]Kopieren CSS-Dateien in minisites[/german]")."</li><br />";

   $handle=opendir("themes");
   chdir("themes");
   while (false!==($file = readdir($handle))) {
      if ( (!strstr($file,'.')) and (!strstr($file,'..')) and (!strstr($file,'themes-dynamic')) and (!strstr($file,'documentations')) and (!strstr($file,'html_ws')) and (!strstr($file,'style_ws'))) {
         @copy("$dir/themes/html_ws/modules/f-manager/f-manager.html", "$dir/themes/$file/html/modules/f-manager/f-manager.html");
         @copy("$dir/themes/html_ws/modules/f-manager/f-manager-banque.html", "$dir/themes/$file/html/modules/f-manager/f-manager-banque.html");
         @copy("$dir/themes/html_ws/modules/f-manager/foot.html", "$dir/themes/$file/html/modules/f-manager/foot.html");
         @copy("$dir/themes/html_ws/modules/f-manager/head.html", "$dir/themes/$file/html/modules/f-manager/head.html");
         @copy("$dir/themes/html_ws/modules/f-manager/pic-manager.html", "$dir/themes/$file/html/modules/f-manager/pic-manager.html");
         @copy("$dir/themes/style_ws/admin.css", "$dir/themes/$file/style/admin.css");
      }
   }
   chdir("..");
   closedir($handle);

   chdir('themes');
   @unlink('html_ws/modules/f-manager/f-manager.html');
   @unlink('html_ws/modules/f-manager/f-manager-banque.html');
   @unlink('html_ws/modules/f-manager/foot.html');
   @unlink('html_ws/modules/f-manager/head.html');
   @unlink('html_ws/modules/f-manager/pic-manager.html');
   @unlink('style_ws/admin.css');

   @rmdir('html_ws/modules/f-manager');
   @rmdir('html_ws/modules');
   @rmdir('html_ws');
   @rmdir('style_ws');
   @chdir('..');
   echo "<li>".aff_langue("[french]Copie des fichiers HTML[/french][english]Copy HTML files[/english][spanish]Copiar archivos HTML[/spanish][german]Kopieren von HTML-Dateien[/german]")."</li><br />";


   // Mise  jour de la table groupe
   $sql="ALTER TABLE ".$NPDS_Prefix."groupes ADD groupe_forum INT(1) UNSIGNED DEFAULT 0 NOT NULL";
   $resultR=sql_query($sql);
   $sql="ALTER TABLE ".$NPDS_Prefix."groupes ADD groupe_mns INT(1) UNSIGNED DEFAULT 0 NOT NULL";
   $resultR=sql_query($sql);
   $sql="ALTER TABLE ".$NPDS_Prefix."groupes ADD groupe_chat INT(1) UNSIGNED DEFAULT 0 NOT NULL";
   $resultR=sql_query($sql);

   // Ajout du meta mot espace_groupe
   $sql='INSERT INTO '.$NPDS_Prefix.'metalang VALUES (\'espace_groupe\', \'function MM_espace_groupe($gr, $l_gr) {\\r\\nglobal $NPDS_Prefix, $chat_info;\\r\\n\\r\\n$gr = arg_filter($gr);\\r\\n$l_gr = arg_filter($l_gr);\\r\\n\\r\\n$result=sql_fetch_assoc(sql_query(\"select groupe_id, groupe_name, groupe_description, groupe_forum from \".$NPDS_Prefix.\"groupes where groupe_id=\'\'$gr\'\'\"));\\r\\n\\r\\n$content=\'\'<script type=\"text/javascript\">\\r\\n   //<![CDATA[\\r\\n   //==> chargement css\\r\\n   if (!document.getElementById(\\\\\'\'bloc_ws_css\\\\\'\')) {\\r\\n      var l_css = document.createElement(\\\\\'\'link\\\\\'\');\\r\\n      l_css.href = \"modules/groupe/bloc_ws.css\";\\r\\n      l_css.rel = \"stylesheet\";\\r\\n      l_css.id = \"bloc_ws_css\";\\r\\n      l_css.type = \"text/css\";\\r\\n      document.getElementsByTagName(\"head\")[0].appendChild(l_css);\\r\\n   }\\r\\n   //]]>\\r\\n</script>\'\';\\r\\n\\r\\n$content.=\"<script type=\\\\\"text/javascript\\\\\">\\r\\n   //<![CDATA[\\r\\n   tog =function(lst,sho,hid){\\r\\n     YUI().use(\'\'transition\'\', \'\'node-event-delegate\'\', function (Y) {\\r\\n       Y.delegate(\'\'click\'\', function(e) {\\r\\n        var buttonID = e.currentTarget.get(\'\'id\'\'),\\r\\n        lst_id = Y.one(\'\'#\'\'+lst);\\r\\n        btn_show=Y.one(\'\'#\'\'+sho);\\r\\n        btn_hide=Y.one(\'\'#\'\'+hid);\\r\\n        if (buttonID === sho) {\\r\\n           lst_id.show(true);\\r\\n           btn_show.set(\'\'id\'\',hid);\\r\\n           btn_show.set(\'\'title\'\',\'\'\".translate(\"Hide list\").\"\'\');\\r\\n           btn_show.setContent(\'\'<img src=\\\\\"images/admin/ws/toggle_minus.gif\\\\\" style=\\\\\"vertical-align:bottom;\\\\\" alt=\\\\\"\".translate(\"Hide list\").\"\\\\\" />\'\');\\r\\n        } else if (buttonID == hid) {\\r\\n           lst_id.transition({\\r\\n             duration: 0.2,\\r\\n             easing: \'\'ease-out\'\',\\r\\n             opacity: 0\\r\\n           });\\r\\n           btn_hide=Y.one(\'\'#\'\'+hid);\\r\\n           lst_id.hide(true);\\r\\n           btn_hide.set(\'\'id\'\',sho);\\r\\n           btn_hide.set(\'\'title\'\',\'\'\".translate(\"Show list\").\"\'\');\\r\\n           btn_hide.setContent(\'\'<img src=\\\\\"images/admin/ws/toggle_plus.gif\\\\\" style=\\\\\"vertical-align:bottom;\\\\\" alt=\\\\\"\".translate(\"Show list\").\"\\\\\" />\'\');\\r\\n        }\\r\\n       }, document, \'\'span\'\');\\r\\n     });\\r\\n   }\\r\\n   //]]>\\r\\n</script>\";\\r\\n\\r\\n$content.=\"\\\\n\".\'\'<div id=\"bloc_ws_\'\'.$gr.\'\'\" class=\"di_bloc_ws\">\'\'.\"\\\\n\";\\r\\n$content.= \'\'<img src=\"images/admin/ws/groupe.gif\" class=\"vam_bo_0\" title=\"ID:\'\'.$gr.\'\'\" alt=\"\'\'.translate(\"Group\").\'\'\" />  <span style=\"font-size: 120%; font-weight:bolder;\">\'\'.aff_langue($result[\'\'groupe_name\'\']).\'\'</span><p>\'\'.aff_langue($result[\'\'groupe_description\'\']).\'\'</p>\'\'.\"\\\\n\";\\r\\nif (file_exists(\'\'users_private/groupe/\'\'.$gr.\'\'/groupe.png\'\') and ($l_gr=1)) \\r\\n   $content.=\'\'<img src=\"users_private/groupe/\'\'.$gr.\'\'/groupe.png\" border=\"0\" alt=\"\'\'.translate(\"Group\").\'\'\" />\'\';\\r\\n$content.=\'\'<ul class=\"ul_bloc_ws\">\'\'.\"\\\\n\";\\r\\n\\r\\n//=> liste des membres\\r\\n$li_mb=\'\'\'\';\\r\\n$result = sql_query(\"select uid, groupe from \".$NPDS_Prefix.\"users_status where groupe regexp \'\'[[:<:]]\".$gr.\"[[:>:]]\'\' order by uid ASC\");\\r\\n$nb_mb=sql_num_rows ($result);\\r\\n$li_mb=\'\'<li class=\"li_18\"><img src=\"images/admin/ws/user.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Group members list.\").\'\'\" title=\"\'\'.translate(\"Group members list.\").\'\'\" />  <a href=\"memberslist.php?gr_from_ws=\'\'.$gr.\'\'\" >\'\'.translate(\"Members\").\'\' [\'\'.$nb_mb.\'\']</a>\'\';\\r\\n$li_mb.=\'\'<span id=\"show_lst_mb_ws_\'\'.$gr.\'\'\" title=\"\'\'.translate(\"Show list\").\'\'\"><img src=\"images/admin/ws/toggle_plus.gif\" style=\"vertical-align:bottom;\" alt=\"\'\'.translate(\"Show list\").\'\'\" /></span>\'\';\\r\\n\\r\\n$mbol= serialize(online_members());\\r\\n$li_mb.=\"\\\\n\".\'\'<ul id=\"lst_mb_ws_\'\'.$gr.\'\'\" class=\"ul_bloc_ws\" style=\"display:none;\">\'\'.\"\\\\n\";\\r\\nwhile(list($uid, $groupe) = sql_fetch_row($result)) {\\r\\n   list($uname, $user_avatar, $mns, $url)=sql_fetch_row(sql_query(\"select uname, user_avatar, mns, url from \".$NPDS_Prefix.\"users where uid=\'\'$uid\'\'\"));\\r\\n   $conn= \'\'<img src=\"images/admin/ws/disconnect.gif\" class=\"vam_bo_0\" title=\"\'\'.$uname.\'\' \'\'.translate(\'\'is not connected !\'\').\'\'\" alt=\"\'\'.$uname.\'\' \'\'.translate(\'\'is not connected !\'\').\'\'\" />\'\';\\r\\n   if (!$user_avatar) {\\r\\n      $imgtmp=\"images/forum/avatar/blank.gif\";\\r\\n   } else if (stristr($user_avatar,\"users_private\")) {\\r\\n      $imgtmp=$user_avatar;\\r\\n   } else {\\r\\n      if ($ibid=theme_image(\"forum/avatar/$user_avatar\")) {$imgtmp=$ibid;} else {$imgtmp=\"images/forum/avatar/$user_avatar\";}\\r\\n      if (!file_exists($imgtmp)) {$imgtmp=\"images/forum/avatar/blank.gif\";}\\r\\n   }\\r\\n   if (preg_match (\'\'#\\\\b\'\'.$uname.\'\'\\\\b#\'\', $mbol)) {\\r\\n      $conn= \'\'<img src=\"images/admin/ws/connect.gif\" class=\"vam_bo_0\" title=\"\'\'.$uname.\'\' \'\'.translate(\'\'is connected !\'\').\'\'\" alt=\"\'\'.$uname.\'\' \'\'.translate(\'\'is connected !\'\').\'\'\" />\'\';\\r\\n   }\\r\\n   $li_ic.=\'\'<img src=\"\'\'.$imgtmp.\'\'\" style=\"vertical-align:middle;\" height=\"24px\" width=\"24px\" alt=\"avatar\" />&nbsp;\'\';\\r\\n   $li_mb.= \'\'<li class=\"li_mb\"><div id=\"li_mb\">\'\'.$conn.\'\'<a href=\"user.php?op=userinfo&uname=\'\'.$uname.\'\'\" class=\"tooltip\">\'\'.$uname.\'\'<em style=\"width:80px\"><img src=\"\'\'.$imgtmp.\'\'\"  height=\"80px\" width=\"80px\" /></em></a></div><a href=\"powerpack.php?op=instant_message&amp;to_userid=\'\'.$uname.\'\'\"><img src=\"images/admin/ws/envelope.gif\" class=\"vam_bo_0 dim_ima\" alt=\"\'\'.translate(\"Send internal Message\").\'\'\" title=\"\'\'.translate(\"Send internal Message\").\'\'\" /></a>\'\'.\"\\\\n\";\\r\\n   if ($url!=\'\'\'\')\\r\\n      $li_mb.=\'\'<a href=\"\'\'.$url.\'\'\" target=\"_blank\"><img src=\"images/admin/ws/monitor.gif\" class=\"vam_bo_0 dim_ima\" alt=\"\'\'.translate(\"Visit this Website\").\'\'\" title=\"\'\'.translate(\"Visit this Website\").\'\'\" /></a>\'\';\\r\\n   if ($mns==1)\\r\\n      $li_mb.=\'\'<a href=\"minisite.php?op=\'\'.$uname.\'\'\" target=\"_blank\"><img src=\"images/admin/ws/application_user.gif\" class=\"vam_bo_0 dim_ima\" alt=\"\'\'.translate(\"Visit the Mini Web Site !\").\'\'\" title=\"\'\'.translate(\"Visit the Mini Web Site !\").\'\'\" /></a>\'\';\\r\\n   $li_mb.=\'\'</li>\'\';\\r\\n}\\r\\n$li_mb.=\'\'<li style=\"clear:left;line-height:6px; background:none;\">&nbsp;</li><li style=\"clear:left;line-height:24px;padding:6px; margin-top:0px; background:none; border-style: dotted; border-width: 1px; border-color: gray;\">\'\'.$li_ic.\'\'</li> <li style=\"line-height:12px; background:none;\">&nbsp;</li>\'\';\\r\\n$li_mb.=\'\'</ul>\'\'.\"\\\\n\".\'\'</li>\'\';\\r\\n$li_mb.=\"\\\\n\\r\\n<script type=\\\\\"text/javascript\\\\\">\\r\\n   //<![CDATA[\\r\\n   tog(\'\'lst_mb_ws_\".$gr.\"\'\',\'\'show_lst_mb_ws_\".$gr.\"\'\',\'\'hide_lst_mb_ws_\".$gr.\"\'\');\\r\\n   //]]>\\r\\n   </script>\\\\n\";\\r\\n$content.=$li_mb;\\r\\n//<== liste des membres\\r\\n\\r\\n$result=sql_fetch_assoc(sql_query(\"select groupe_id, groupe_name, groupe_forum, groupe_mns, groupe_chat from \".$NPDS_Prefix.\"groupes where groupe_id=\'\'$gr\'\'\"));\\r\\n\\r\\n//=> Forum\\r\\nif ($result[\'\'groupe_forum\'\'] == 1) {\\r\\n   $res_forum=sql_query(\"select forum_id, forum_name from \".$NPDS_Prefix.\"forums where forum_pass regexp \'\'$gr\'\'\");\\r\\n   $nb_foru=sql_num_rows ($res_forum);\\r\\n   if ($nb_foru >= 1) {\\r\\n      $lst_for=\'\'<span id=\"show_lst_for_\'\'.$gr.\'\'\" title=\"\'\'.translate(\"Show list\").\'\'\"><img src=\"images/admin/ws/toggle_plus.gif\" style=\"vertical-align:bottom;\" alt=\"\'\'.translate(\"Show list\").\'\'\" /></span>\'\';\\r\\n      $lst_for.=\'\'<ul id=\"lst_for_gr_\'\'.$gr.\'\'\" class=\"ul_bloc_ws\" style =\"list-style-type:none; display:none; \">\'\';\\r\\n      $nb_for_gr=\'\'  [\'\'.$nb_foru.\'\']\'\';\\r\\n\\r\\n      while(list($id_fo,$fo_name) = sql_fetch_row($res_forum)) {\\r\\n         $lst_for.=\'\'<li style=\"line-height:18px;margin-top:0; background:none; padding: 0px 1px 0px 14px;\"><img src=\"images/admin/ws/world.gif\" class=\"vam_bo_0\" width=\"14\" height=\"14\" title=\"\'\'.translate(\"Forum\").\'\'\" /> <a href=\"viewforum.php?forum=\'\'.$id_fo.\'\'\">\'\'.$fo_name.\'\'</a>\'\';\\r\\n         $lst_for.= \'\'</li>\'\';\\r\\n      }\\r\\n      $lst_for.=\'\'</ul>\'\';\\r\\n      $lst_for.=\"\\\\n<script type=\\\\\"text/javascript\\\\\">\\r\\n      //<![CDATA[\\r\\n      tog(\'\'lst_for_gr_\".$gr.\"\'\',\'\'show_lst_for_\".$gr.\"\'\',\'\'hide_lst_for_\".$gr.\"\'\');\\r\\n      //]]>\\r\\n      </script>\\\\n\";\\r\\n   }\\r\\n   $content.=\'\'<li class=\"li_18\"><img src=\"images/admin/ws/world.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Group\").$gr.\'\': \'\'.translate(\"forum\").\'\'.\" title=\"\'\'.translate(\"Group\").\'\'(\'\'.$gr.\'\'): \'\'.translate(\"forum\").\'\'.\" />  <a href=\"forum.php\">\'\'.translate(\"Forum\").\'\'</a>\'\'.$nb_for_gr.$lst_for.\'\'</li>\'\'.\"\\\\n\";\\r\\n   }\\r\\n//<= Forum\\r\\n\\r\\n//=> Filemanager\\r\\nif (file_exists(\'\'modules/f-manager/users/groupe_\'\'.$gr.\'\'.conf.php\'\')) {\\r\\n   $content.=\'\'<li class=\"li_18\"><img src=\"images/admin/ws/folder_folder.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Group file manager.\").\'\'\" title=\"\'\'.translate(\"Group file manager.\").\'\'\" />  <a href=\"modules.php?ModPath=f-manager&ModStart=f-manager&FmaRep=groupe_\'\'.$gr.\'\'\" >\'\'.translate(\"File manager\").\'\'</a></li>\'\'.\"\\\\n\";\\r\\n}\\r\\n//<= Filemanager\\r\\n\\r\\n//=> Chat\\r\\nif ($result[\'\'groupe_chat\'\'] == 1) {\\r\\n   $PopUp = JavaPopUp(\"chat.php?id=$gr&amp;auto=\".encrypt(serialize ($gr)),\"chat\".$gr,380,480);\\r\\n   if ($chat_info)\\r\\n      $chat_img=\'\'images/admin/ws/comment_reply.gif\'\';\\r\\n   else\\r\\n      $chat_img=\'\'images/admin/ws/comment_user.gif\'\';\\r\\n   $content.=\'\'<li class=\"li_18\"><img src=\"\'\'.$chat_img.\'\'\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Open a chat for the group.\").\'\'\" title=\"\'\'.translate(\"Open a chat for the group.\").\'\'\" /> <a href=\"javascript:void(0);\" onclick=\"window.open(\'\'.$PopUp.\'\');\" >Chat</a></li>\'\'.\"\\\\n\";\\r\\n}\\r\\n//<= Chat\\r\\n\\r\\n//=> Minisite\\r\\nif ($result[\'\'groupe_mns\'\'] == 1) {\\r\\n   $content.=\'\'<li class=\"li_18\"><img src=\"images/admin/ws/application_user.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Mini-Web site\").\'\'.\" title=\"\'\'.translate(\"Mini-Web site\").\'\'.\" />  <a href=\"minisite.php?op=groupe/\'\'.$gr.\'\'\" target=\"_blank\" >\'\'.translate(\"Mini-Web site\").\'\'</a></li>\'\'.\"\\\\n\";\\r\\n}\\r\\n//<= Minisite\\r\\n\\r\\n//=> wspad\\r\\nsettype($lst_doc,\'\'string\'\');\\r\\nsettype($nb_doc_gr,\'\'string\'\');\\r\\n\\r\\n$docs_gr=sql_query(\"SELECT page, editedby, modtime, ranq from \".$NPDS_Prefix.\"wspad WHERE (ws_id) IN (SELECT max(ws_id) FROM \".$NPDS_Prefix.\"wspad WHERE member=\'\'$gr\'\' GROUP BY page) ORDER BY page ASC\");\\r\\n$nb_doc=sql_num_rows ($docs_gr);\\r\\nif ($nb_doc >= 1) {\\r\\n   $lst_doc=\'\'<span id=\"show_lst_doc_\'\'.$gr.\'\'\" title=\"\'\'.translate(\"Show list\").\'\'\"><img src=\"images/admin/ws/toggle_plus.gif\" style=\"vertical-align:bottom;\" alt=\"\'\'.translate(\"Show list\").\'\'\" /></span>\'\';\\r\\n   $lst_doc.=\'\'<ul id=\"lst_doc_gr_\'\'.$gr.\'\'\" class=\"ul_bloc_ws\" style =\"list-style-type:none; display:none; \">\'\';\\r\\n   $nb_doc_gr=\'\'  [\'\'.$nb_doc.\'\']\'\';\\r\\n   while (list($p,$e,$m,$r)=sql_fetch_row($docs_gr)) {\\r\\n      $surlignage=\"#\".substr(md5($e),0,6);\\r\\n      $lst_doc.=\'\'<li style=\"line-height:14px;margin-top:0; background:none; padding: 0px 2px 0px 0px;\"><div id=\"last_editor\" title=\"\'\'.translate(\"Last editor\").\'\' : \'\'.$e.\'\' \'\'.date (translate(\"dateinternal\"),$m ).\'\'\" style=\"float:left; width:12px; height:12px; margin-top:4px; background-color:\'\'.$surlignage.\'\'\"></div><img src=\"images/admin/ws/document_edit.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Multi-writers document\").\'\'.\" title=\"\'\'.translate(\"Multi-writers document\").\'\'.\" />  <a href=\"modules.php?ModPath=wspad&ModStart=wspad&op=relo&page=\'\'.$p.\'\'&member=\'\'.$gr.\'\'&ranq=\'\'.$r.\'\'\">\'\'.$p.\'\'</a>\'\';\\r\\n      $lst_doc.= \'\'</li>\'\';\\r\\n   }\\r\\n   $lst_doc.=\'\'</ul>\'\';\\r\\n   $lst_doc.=\"<script type=\\\\\"text/javascript\\\\\">\\r\\n   //<![CDATA[\\r\\n   tog(\'\'lst_doc_gr_\".$gr.\"\'\',\'\'show_lst_doc_\".$gr.\"\'\',\'\'hide_lst_doc\".$gr.\"\'\');\\r\\n   //]]>\\r\\n   </script>\\\\n\";\\r\\n}\\r\\n$content.=\'\'<li class=\"li_18\"><img src=\"images/admin/ws/application_edit.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Co-writing\").\'\'.\" title=\"\'\'.translate(\"Co-writing\").\'\'.\" />  <a href=\"modules.php?ModPath=wspad&ModStart=wspad&member=\'\'.$gr.\'\'\" >\'\'.translate(\"Co-writing\").\'\'</a>\'\'.$nb_doc_gr.$lst_doc.\'\'</li>\'\'.\"\\\\n\";\\r\\n//<= wspad\\r\\n\\r\\n$content.=\"\\\\n\".\'\'</ul>\'\'.\"\\\\n\";\\r\\n\\r\\n//=> bloc-notes\\r\\ninclude_once(\"modules/bloc-notes/bloc-notes.php\");\\r\\n$content.=blocnotes(\"shared\", \"WS-BN\".$gr,\"100%\",\"7\",\"\",false);\\r\\n//=> bloc-notes\\r\\n\\r\\n//=> admin\\r\\nif (autorisation(-127)) {\\r\\n   $content.=\'\'<br /><img src=\"images/admin/ws/cog.gif\" class=\"vam_bo_0\" alt=\"\'\'.translate(\"Groups setting.\").\'\'\" title=\"\'\'.translate(\"Groups setting.\").\'\'\" />  <a href=\"admin.php?op=groupes\">\'\'.translate(\"Groups setting.\").\'\'</a>\'\';\\r\\n}\\r\\n//<= admin\\r\\n$content.=\'\'</div>\'\'.\"\\\\n\";\\r\\nreturn ($content);\\r\\n}\', \'meta\', \'-\', NULL, \'[french]NPDS WorkSpace[/french]\', \'1\');';
   $result = sql_query($sql);

   // Ajout dans la table Counter
   $sql='INSERT INTO '.$NPDS_Prefix.'counter VALUES (\'browser\', \'Chrome\', \'0\');';
   $result = sql_query($sql);
   $sql='INSERT INTO '.$NPDS_Prefix.'counter VALUES (\'browser\', \'Safari\', \'0\');';
   $result = sql_query($sql);

   // Modification de la table session
   $sql="ALTER TABLE ".$NPDS_Prefix."session CHANGE agent agent VARCHAR(255);";
   $result = sql_query($sql);
   
   // Installer la table de WSPAD
   $type_engine=(int)substr(mysql_get_server_info(), 0, 1);
   $sql="CREATE TABLE IF NOT EXISTS ".$NPDS_Prefix."wspad (
      ws_id int(11) NOT NULL auto_increment,
      page varchar(255) NOT NULL default '',
      content mediumtext NOT NULL,
      modtime int(15) NOT NULL,
      editedby varchar(40) NOT NULL default '',
      ranq smallint(6) NOT NULL default '1',
      member int(11) NOT NULL default '1',
      verrou varchar(60) default NULL,
      PRIMARY KEY (ws_id),
      KEY page (page)
      )";
   if ($type_engine>=5)
      $sql.=" ENGINE=MyISAM";
   else
      $sql.=" TYPE=MyISAM";
   $result = sql_query($sql);

   // marquer les modules comme installs
   $sql="INSERT INTO ".$NPDS_Prefix."modules VALUES (NULL, 'wspad', 1)";
   $result = sql_query($sql);
   $sql="UPDATE FROM ".$NPDS_Prefix."modules SET minstall= '1' WHERE mnom='contact'";
   $result = sql_query($sql);
   echo "<li>".aff_langue("[french]Mise  jour MySql[/french][english]Updated MySql[/english][spanish]Actualizaci&oacute;n de MySql[/spanish][german]Update MySql[/german]")."</li><br />";

   // Update NPDS Version
   $file=file("config.php");
   $fic = fopen("config.php", "w");
      while(list($n,$ligne) = each($file)) {
         if (trim($ligne)=="\$Version_Sub = \"REvolution\";") {
            $ligne="\$Version_Sub = \"REvolution WS\";\n";
         }
         fwrite($fic, $ligne);
   }
   fclose($fic);

   SC_clean();

   echo "</ul><h3>".aff_langue("[french]Installation termine[/french][english]Install ended[/english][spanish]La instalaci&oacute;n ha finalizado[/spanish][german]Die Installation ist abgeschlossen[/german]")."</h3>";
   echo "<p align=\"center\">".aff_langue("[french]Pensez  vider SuperCache et  revalider vos prfrences[/french][english]Remember to empty SuperCache and revalidate your preferences[/english][spanish]Recuerde SuperCache vac&iacute;o y revalidar sus preferencias[/spanish][german]Denken Sie daran, leere SuperCache und erneuern Ihre Pr&auml;ferenzen[/german]")."</p>";
   @unlink("install.php");
   closetable();
   include("footer.php");
?>