<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Based on PhpNuke 4.x source code                                     */
/*                                                                      */
/* NPDS Copyright (c) 2002-2012 by Philippe Brunier                     */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

function translate($phrase) {
   $tmp=translate_pass1($phrase);
   include("language/lang-mods.php");

   if (cur_charset=="utf-8") {
      return utf8_encode($tmp);
   } else {
      return ($tmp);
   }
}

function translate_pass1($phrase) {
 settype($englishname,'string');
 switch($phrase) {
   case "$englishname": $tmp="$englishname"; break;
   case "datestring": $tmp="%A %d %B %Y @ %H:%M:%S"; break;
   case "datestring2": $tmp="%A, %d %B"; break;
   case "linksdatestring": $tmp="%d-%m-%Y"; break;
   case "dateinternal": $tmp = "d-m-Y H:i"; break;
   case "Chatdate": $tmp = "G:i d-m"; break;
   case "Monday": $tmp="Lundi"; break;
   case "Tuesday": $tmp="Mardi"; break;
   case "Wednesday": $tmp="Mercredi"; break;
   case "Thursday": $tmp="Jeudi"; break;
   case "Friday": $tmp="Vendredi"; break;
   case "Saturday": $tmp="Samedi"; break;
   case "Sunday": $tmp="Dimanche"; break;
   case "January": $tmp="Janvier"; break;
   case "February": $tmp="Fvrier"; break;
   case "March": $tmp="Mars"; break;
   case "April": $tmp="Avril"; break;
   case "May": $tmp="Mai"; break;
   case "June": $tmp="Juin"; break;
   case "July": $tmp="Juillet"; break;
   case "August": $tmp="Aot"; break;
   case "September": $tmp="Septembre"; break;
   case "October": $tmp="Octobre"; break;
   case "November": $tmp="Novembre"; break;
   case "December": $tmp="Decembre"; break;

   case "Printer Friendly Page": $tmp="Page Spciale pour impression"; break;
   case "Send this Story to a Friend": $tmp="Envoyer cet Article  un ami"; break;
   case "next matches": $tmp="rponses suivantes"; break;
   case "There are currently,": $tmp="Il y a actuellement"; break;
   case "Search": $tmp="Recherche"; break;
   case "Web Links": $tmp="Liens Web"; break;
   case "Submit": $tmp="Valider"; break;
   case "by": $tmp="par"; break;
   case "Other": $tmp="Autres"; break;
   case "previous matches": $tmp="rponses prcdentes"; break;
   case "Change Status to OK / Delete Request": $tmp="Change le Status  OK / Supprime la demande"; break;
   case "Go Back": $tmp="Retour en arrire"; break;
   case "Thanks for your submission.": $tmp="Merci pour votre contribution."; break;
   case "Please enter information according to the specifications": $tmp="Merci d'entrer l'information en fonction des spcifications"; break;
   case "Additional Details": $tmp="Dtails supplmentaires"; break;
   case "Links Main": $tmp="Index"; break;
   case "Add Link": $tmp="Ajouter"; break;
   case "New": $tmp="Nouveau"; break;
   case "New links": $tmp="Nouveauts"; break;
   case "Modify": $tmp="Modifier"; break;
   case "There are": $tmp="Il y a"; break;
   case "Links in our Database": $tmp="Liens"; break;
   case "New Links in this Category Added Today": $tmp="Les nouveaux Liens de cette Catgorie ajouts aujourd'hui"; break;
   case "New Links in this Category Added in the last 3 days": $tmp="Les nouveaux Liens ajouts dans cette Catgorie dans les 3 derniers jours"; break;
   case "New Links in this Category Added this week": $tmp="Les nouveaux Liens ajouts dans cette Catgorie cette semaine"; break;
   case "Waiting Links": $tmp="Liens"; break;
   case "Create": $tmp="Crer"; break;
   case "Sort links by": $tmp="Classement"; break;
   case "Title": $tmp="Titre"; break;
   case "Date": $tmp="Date"; break;
   case "Sites currently sorted by": $tmp="Sites classs par"; break;
   case "SubCategories": $tmp="Sous-catgories"; break;
   case "Description: ": $tmp="Description : "; break;
   case "Hits: ": $tmp="Nb Hits : "; break;
   case "Added on: ": $tmp="Ajout le : "; break;
   case "Report Broken Link": $tmp="Rapporter un Lien rompu"; break;
   case "Select page": $tmp="Slectionner la page"; break;
   case "Previous": $tmp="Prcdent"; break;
   case "Next": $tmp="Suivant"; break;
   case "Main": $tmp="Principal"; break;
   case "Title (A to Z)": $tmp="Titre (de A  Z)"; break;
   case "Title (Z to A)": $tmp="Titre (de Z  A)"; break;
   case "Date (Old Links Listed First)": $tmp="Date (les plus vieux Liens en premier)"; break;
   case "Date (New Links Listed First)": $tmp="Date (les Liens les plus rcents en premier)"; break;
   case "Editorial by": $tmp="Editorial par"; break;
   case "No editorial is currently available for this website.": $tmp="Aucun Editorial n'est disponible pour ce site"; break;
   case "Visit this Website": $tmp="Visiter ce site Web"; break;
   case "Submit a unique link only once.": $tmp="Proposer un seul Lien."; break;
   case "All links are posted pending verification.": $tmp="Tous les Liens proposs sont vrifis avant insertion."; break;
   case "Username and IP are recorded, so please don't abuse the system.": $tmp="Merci de ne pas tenter d'abuser le systme ! Le nom d'Utilisateur et l'adresse IP sont enregistrs."; break;
   case "Page Title: ": $tmp="Titre de la Page : "; break;
   case "Page URL: ": $tmp="URL de la Page : "; break;
   case "Category: ": $tmp="Catgorie : "; break;
   case "Description: (255 characters max)": $tmp="Description :  (255 caractres max)"; break;
   case "Your Name: ": $tmp="Votre nom : "; break;
   case "Your Email: ": $tmp="Votre E-mail : "; break;
   case "Add URL": $tmp="Ajouter une URL"; break;
   case "You are not a registered user or you have not logged in.": $tmp="Vous n'tes pas (encore) enregistr ou vous n'tes pas (encore) connect."; break;
   case "If you were registered you could add links on this website.": $tmp="Si vous tiez enregistr, vous pourriez proposer des Liens."; break;
   case "ERROR: This URL is already listed in the Database!": $tmp="Erreur : cette URL est dj prsente dans la base de donnes !"; break;
   case "ERROR: You need to type a TITLE for your URL!": $tmp="Erreur : vous devez saisir un TITRE pour votre Lien !"; break;
   case "ERROR: You need to type a URL for your URL!": $tmp="Erreur : vous devez saisir une URL pour votre Lien !"; break;
   case "ERROR: You need to type a DESCRIPTION for your URL!": $tmp="Erreur : vous devez saisir une DESCRIPTION pour votre Lien !"; break;
   case "We received your Link submission. Thanks!": $tmp="Nous avons bien reu votre contribution aux Liens. Merci !"; break;
   case "You'll receive and E-mail when it's approved.": $tmp="Vous recevrez un E-mail quand elle sera approuve."; break;
   case "New Links": $tmp="Nouveaux Liens"; break;
   case "Total new links: Last week": $tmp="Total des nouveaux Liens pour la semaine dernire"; break;
   case "Last 30 days": $tmp="Pour les 30 derniers jours"; break;
   case "week": $tmp="semaine"; break;
   case "weeks": $tmp="semaines"; break;
   case "Show:": $tmp="Montrer :"; break;
   case "days": $tmp="jours"; break;
   case "Total new links for last": $tmp="Total des nouveaux Liens"; break;
   case "Request Link Modification": $tmp="Proposition de Modification"; break;
   case "Link ID: ": $tmp="Lien N : "; break;
   case "Send Request": $tmp="Envoyer une demande"; break;
   case "Thanks for this information. We'll look into your request shortly.": $tmp="Merci pour cette information. Nous allons l'examiner ds que possible."; break;
   case "Thank you for helping to maintain this directory's integrity.": $tmp="Merci de contribuer  la maintenance du site."; break;
   case "For security reasons your user name and IP address will also be temporarily recorded.": $tmp="Pour des raisons de scurit, votre nom d'Utilisateur et votre adresse IP vont tre momentanment conservs."; break;
   case "Online Manual": $tmp="Manuel en ligne"; break;
   case "Links Waiting for Validation": $tmp="Liens en attente de validation"; break;
   case "Author": $tmp="Auteur"; break;
   case "Visit": $tmp="Visite"; break;
   case "Name: ": $tmp="Nom : "; break;
   case "Email: ": $tmp="E-mail : "; break;
   case "Delete": $tmp="Effacer"; break;
   case "Add": $tmp="Ajouter"; break;
   case "Broken Link Reports": $tmp="Soumission de Liens briss"; break;
   case "Link Modification Requests": $tmp="Proposition de modifications de Liens"; break;
   case "Add a MAIN Category": $tmp="Ajouter une Catgorie principale"; break;
   case "Modify Category": $tmp="Modifier la Catgorie"; break;
   case "Add a SUB-Category": $tmp="Ajouter une Sous-catgorie"; break;
   case "in": $tmp="dans"; break;
   case "Add a New Link": $tmp="Ajouter un nouveau Lien"; break;
   case "E-Mail: ": $tmp="E-mail : "; break;
   case "New Link added to the Database": $tmp="Nouveau Lien ajout dans la base de donnes"; break;
   case "Your Link at": $tmp="Votre Lien"; break;
   case "Hello": $tmp="Bonjour"; break;
   case "We approved your link submission for our search engine.": $tmp="Nous avons approuv votre contribution  notre moteur de recherche."; break;
   case "You can browse our search engine at:": $tmp="Vous pouvez utiliser notre moteur de recherche sur : "; break;
   case "Thanks for your submission!": $tmp="Merci pour votre Contribution !"; break;
   case "Modify Links": $tmp="Modifier les Liens"; break;
   case "Add Editorial": $tmp="Ajouter un Editorial"; break;
   case "Full Text": $tmp="Texte complet"; break;
   case "Modify Editorial": $tmp="Modifier l'Editorial"; break;
   case "already exist!": $tmp="existe dj !"; break;
   case "ERROR: The SubCategory": $tmp="Erreur : La Sous-catgorie"; break;
   case "Save Changes": $tmp="Sauver les modifications"; break;
   case "Category Name: ": $tmp="Nom de la Catgorie : "; break;
   case "Sub-Category Name: ": $tmp="Nom de la Sous-catgorie : "; break;
   case "ERROR: The Category": $tmp="Erreur : La Catgorie"; break;
   case "WARNING: Are you sure you want to delete this Category and ALL its Links?": $tmp="ATTENTION : Etes-vous sr de vouloir effacer cette Catgorie et tous ses Liens ?"; break;
   case "No": $tmp="Non"; break;
   case "Yes": $tmp="Oui"; break;
   case "User Link Modification Requests": $tmp="Requte de modification d'un Lien Utilisateur"; break;
   case "Original": $tmp="Original"; break;
   case "Description:": $tmp="Description:"; break;
   case "Title:": $tmp="Titre :"; break;
   case "URL:": $tmp="URL : "; break;
   case "Cat:": $tmp="Catgorie :"; break;
   case "Subcat:": $tmp="Sous-catgorie :"; break;
   case "Proposed": $tmp="Propos"; break;
   case "Submitter": $tmp="Auteur"; break;
   case "Owner": $tmp="Propritaire"; break;
   case "Ignore": $tmp="Ignorer"; break;
   case "Accept": $tmp="Accepter"; break;
   case "User Reported Broken Links": $tmp="Liens casss rapports par un ou plusieurs Utilisateurs"; break;
   case "Ignore (Deletes all <b>requests</b> for a given link)": $tmp="Ignorer (Efface toutes les <b>demandes</b> pour un Lien donn)"; break;
   case "Delete (Deletes <b>broken link</b> and <b>requests</b> for a given link)": $tmp="Effacer (Efface les <b>Liens casss</b> et <b>les avis</b> pour un Lien donn)"; break;
   case "Links": $tmp="Liens"; break;
   case "Welcome to": $tmp="Bienvenue sur"; break;
   case "Welcome": $tmp="Bonjour"; break;
   case "Logout": $tmp="Dconnexion"; break;
   case "writes": $tmp="crit"; break;
   case "on": $tmp="le"; break;
   case "Posted by ": $tmp="Post par "; break;
   case "reads": $tmp="lus"; break;
   case "Posted on ": $tmp="Post le "; break;
   case "Edit": $tmp="Editer"; break;
   case "Topics": $tmp="Sujets"; break;
   case "All Topics": $tmp="Tous les Sujets"; break;
   case "Note": $tmp="Note"; break;
   case "Posted on": $tmp="Post le"; break;
   case "Contributed by": $tmp="Contribution de"; break;
   case "Posted by": $tmp="Post par"; break;
   case "Edit User": $tmp="Vous"; break;
   case "Change the home": $tmp="Editer votre Page Principale"; break;
   case "Comments": $tmp="Commentaire(s)"; break;
   case "Change Theme": $tmp="Changer le thme"; break;
   case "Menu for": $tmp="Menu de"; break;
   case "Contributed by ": $tmp="Envoy par "; break;
   case "Edit Journal": $tmp="Editer votre journal"; break;
   case "ERROR: Invalid email": $tmp="Erreur : E-mail invalide"; break;
   case "ERROR: Email addresses do not contain spaces.": $tmp="Erreur : une adresse E-mail ne peut pas contenir d'espaces"; break;
   case "ERROR: Invalid Nickname": $tmp="Erreur : Identifiant invalide"; break;
   case "Nickname is too long. It must be less than 25 characters.": $tmp="Votre Surnom est trop long. Il doit faire moins de 25 caractres."; break;
   case "ERROR: Name is reserved.": $tmp="Erreur : nom reserv."; break;
   case "There cannot be any spaces in the Nickname.": $tmp="Il ne peux pas y avoir d'espace dans le Surnom."; break;
   case "ERROR: Nickname taken": $tmp="Erreur : cet Identifiant est dj utilis"; break;
   case "ERROR: Email address already registered": $tmp="Erreur : adresse E-mail dj utilise"; break;
   case "User ID": $tmp="ID Utilisateur (pseudo)"; break;
   case "Real Name": $tmp="Votre vritable identit"; break;
   case "Avatar": $tmp="Avatar"; break;
   case "Website: ": $tmp="Site Web : "; break;
   case "Your ICQ": $tmp="Votre adresse ICQ"; break;
   case "Your AIM": $tmp="Votre adresse AIM"; break;
   case "Your YIM": $tmp="Votre adresse YIM"; break;
   case "Your MSNM": $tmp="Votre adresse MSNM"; break;
   case "Location: ": $tmp="Votre situation gographique : "; break;
   case "Occupation: ": $tmp="Votre activit : "; break;
   case "Interest: ": $tmp="Vos centres d'intert : "; break;
   case "Signature": $tmp="Signature"; break;
   case "Finish": $tmp="Terminer"; break;
   case "You or someone else has used your email account": $tmp="Vous, ou quelqu'un d'autre, a utilis votre compte d'E-mail"; break;
   case "to register an account at": $tmp="pour enregistrer un compte sur"; break;
   case "The following is the member information:": $tmp="Informations sur l'Utilisateur :"; break;
   case "-Nickname: ": $tmp="-Identifiant : "; break;
   case "-Password: ": $tmp="-Mot de Passe : "; break;
   case "User Password for": $tmp="Mot de Passe Utilisateur pour"; break;
   case "Your Password is: ": $tmp="Votre Mot de Passe est : "; break;
   case "You can change it after you login at": $tmp="Vous pourrez le modifier aprs vous tre connect sur"; break;
   case "You are now registered. You should receive your password at the email account you provided.": $tmp="Vous tes maintenant enregistr. Vous allez recevoir un code de confirmation dans votre bote  lettres lectronique."; break;
   case "This is your personal page": $tmp="Si vous souhaitez personnaliser un peu le site, c'est l'endroit indiqu. "; break;
   case "My HomePage:": $tmp="Ma page perso : "; break;
   case "My E-Mail:": $tmp="Mon E-Mail : "; break;
   case "Signature: ": $tmp="Signature : "; break;
   case "Extra Info:": $tmp="Informations supplmentaires : "; break;
   case "There is no available info for": $tmp="Il n'y a pas d'informations disponibles pour"; break;
   case "Online journal for": $tmp="Journal en ligne pour "; break;
   case "Last 10 comments by": $tmp="Les 10 derniers Commentaires de"; break;
   case "Last 10 news submissions sent by": $tmp="Les dix dernires contributions de"; break;
   case "User not yet allowed by Administrator": $tmp="Vous n'tes pas encore autoris  vous connecter."; break;
   case "Incorrect Login!": $tmp="Identifiant incorrect !"; break;
   case "User Login": $tmp="Identifiant Utilisateur"; break;
   case "Nickname: ": $tmp="Identifiant : "; break;
   case "Password: ": $tmp="Mot de Passe : "; break;
   case "New User": $tmp="Nouveau membre"; break;
   case "Lost your Password?": $tmp="Vous avez perdu votre Mot de Passe ?"; break;
   case "New User:": $tmp="Nouvel Utilisateur : "; break;
   case "(required)": $tmp="(indispensable)"; break;
   case "Avatar: ": $tmp="Avatar : "; break;
   case "List": $tmp="Liste"; break;
   case "Option: ": $tmp="Option : "; break;
   case "Allow other users to view my email address": $tmp="Autoriser les autres Utilisateurs  voir mon adresse E-mail"; break;
   case "(Password will be sent to the email address you enter.)": $tmp="(Le Mot de Passe vous sera envoy  l'adresse E-mail indique.)"; break;
   case "Notice: Account preferences are cookie based.": $tmp="Note : Les Prfrences de compte fonctionnent sur la base des <i>Cookies</i>."; break;
   case "As a registered user you can:": $tmp="En tant qu'Utilisateur enregistr vous pouvez :"; break;
   case "Post comments with your name": $tmp="Poster des Commentaires signs"; break;
   case "Send news with your name": $tmp="Proposer des Articles en votre nom"; break;
   case "Have a personal box in the Home": $tmp="Disposer d'un bloc que vous seul verrez dans le menu (pour spcialistes, ncessite du HTML)"; break;
   case "Upload personal avatar": $tmp="Tlcharger un avatar personnel"; break;
   case "Select how many news you want in the Home": $tmp="Slectionner le nombre de News que vous souhaitez voir apparatre sur la Page Principale."; break;
   case "Customize the comments": $tmp="Personnaliser les Commentaires"; break;
   case "Select different themes": $tmp="Choisir un look diffrent pour le site (si plusieurs proposs)"; break;
   case "some other cool stuff...": $tmp="Grer d'autres options et applications"; break;
   case "We don't sell/give to others your personal info.": $tmp="Nous ne vendons ni ne communiquons vos informations<br />personnelles  autrui."; break;
   case "No problem. Just type your Nickname, the new password you want and click on send button to recieve a email with the confirmation code.": $tmp="Pas de problme. Saisissez votre Identifiant et le nouveau mot de passe que vous souhaitez utiliser puis cliquez sur Envoyer pour recevoir un mail de confirmation."; break;
   case "Sorry, no corresponding user info was found": $tmp="Dsol, aucune information correspondante pour cet Utlilisateur n'a t trouve"; break;
   case "The user account": $tmp="Le compte Utilisateur"; break;
   case "at": $tmp="de"; break;

   case "has this email associated with it.": $tmp="est associ  votre E-mail."; break;
   case "A web user from": $tmp="Un Utilisateur Web ayant l'adresse IP "; break;
   case "Password update, please re-connect you.": $tmp="Mot de passe mis  jour. Merci de vous re-connecter"; break;
   case "To valid your new password request, just re-type it.": $tmp="Pour valider votre nouveau mot de passe, merci de le re-saisir."; break;
   case "If you didn't ask for this, don't worry. You are seeing this message, not 'them'. If this was an error just login with your new password.": $tmp="Si vous n'avez rien demand, ne vous inquitez pas :  vous tes le seul  lire ce message. Connectez-vous simplement avec ce nouveau mot de passe."; break;
   case "mail_password: could not update user entry. Contact the Administrator": $tmp="La fonction Mail_Password ne peut mettre  jour la base de donnes. Contactez le WebMestre."; break;
   case "Password for": $tmp="Mot de Passe pour"; break;
   case "mailed.": $tmp="envoye par courrier."; break;
   case "Your Confirmation URL is:": $tmp="Votre URL de confirmation est :"; break;
   case "If you didn't ask for this, don't worry. Just delete this Email.": $tmp="Si vous n'avez rien demand, ne vous inquitez pas. Effacez juste cet E-mail. "; break;
   case "has just requested a Confirmation to change the password.": $tmp="vient de demander une confirmation pour changer de Mot de Passe."; break;
   case "Confirmation Code for": $tmp="Confirmation du code pour"; break;
   case "(optional)": $tmp="(optionnel)"; break;
   case "Real Email": $tmp="Votre vritable adresse E-mail"; break;
   case "(This Email will not be public but is required, will be used to send your password if you lost it)": $tmp="(Cette adresse E-mail ne sera pas divulgue, mais elle nous servira  vous envoyer votre Mot de Passe si vous le perdez)"; break;
   case "Fake Email": $tmp="Votre adresse E-mail 'truque'"; break;
   case "(This Email will be public. Just type what you want, Spam proof)": $tmp="(Cette adresse E-mail sera publique. Vous pouvez saisir ce que vous voulez mais attention au Spam)"; break;
   case "Your HomePage": $tmp="Votre page Web"; break;
   case "Your Avatar": $tmp="Votre Avatar"; break;
   case "Your Location": $tmp="Votre situation gographique"; break;
   case "Your Occupation": $tmp="Votre activit"; break;
   case "Your Interest": $tmp="Vos centres d'intrt"; break;
   case "(255 characters max. Type your signature with HTML coding)": $tmp="(255 caractres max. Entrez votre signature (mise en forme HTML))"; break;
   case "Show signature": $tmp="Afficher la signature"; break;
   case "Extra Info": $tmp="Informations complmentaires vous concernant"; break;
   case "(255 characters max. Type what others can know about yourself)": $tmp="(255 caractres max. Prcisez qui vous tes, ou votre identification sur ce site)"; break;
   case "(type a new password twice to change it)": $tmp="(Pour activer un nouveau Mot de Passe, introduisez-le dans les 2 cases)"; break;
   case "Password": $tmp="Mot de Passe"; break;
   case "Both passwords are different. They need to be identical.": $tmp="Les Mots de Passe sont diffrents. Ils doivent tre identiques."; break;
   case "Sorry, your password must be at least": $tmp="Dsol, votre Mot de Passe doit faire au moins"; break;
   case "characters long": $tmp="caractres"; break;
   case "News number in the Home": $tmp="Nombre d'Articles sur la Page Principale"; break;
   case "Activate Personal Menu": $tmp="Activer votre Menu Personnel"; break;
   case "(Check this option and the following text will appear in the Home)": $tmp="(Validez cette option et le texte suivant apparatra sur votre page d'accueil)"; break;
   case "(You can use HTML code to put links, for example)": $tmp="(Vous pouvez utiliser du code HTML, pour crer un lien par exemple)"; break;
   case "Save Changes!": $tmp="Sauver les modifications"; break;
   case "Select One Theme": $tmp="Slectionnez un thme d'affichage"; break;
   case "This option will change the look for the whole site.": $tmp="Cette option changera l'aspect du site."; break;
   case "The changes will be valid only to you.": $tmp="Les modifications seront seulement valides pour vous."; break;
   case "Each user can view the site with different theme.": $tmp="Chaque Utilisateur peut voir le site avec un thme graphique diffrent."; break;
   case "Score": $tmp="Score"; break;
   case "Edit your journal": $tmp="Editer votre journal"; break;
   case "Add date and time stamp": $tmp="Ajouter la date et l'heure"; break;
   case "Save Journal": $tmp="Sauvez votre journal"; break;
   case "Moderated By: ": $tmp="Modr par : "; break;
   case "Forum Index": $tmp="Index du Forum"; break;
   case "This is a Private Forum. Please enter the password to gain access": $tmp="Ceci est un Forum PRIV. Vous devez entrer le Mot de Passe pour y accder"; break;
   case "Clear": $tmp="Annuler"; break;
   case "Topic": $tmp="Sujet"; break;
   case "Replies": $tmp="Rponses"; break;
   case "Poster": $tmp="Emetteur"; break;
   case "Views": $tmp="Lectures"; break;
   case "Last Posts": $tmp="Dernires contributions"; break;
   case "There are no topics for this forum. ": $tmp="Il n'y a aucun Sujet pour ce Forum. "; break;
   case "You can post one here.": $tmp="Vous pouvez en poster un ici."; break;
   case "Mark all Topics to Read": $tmp="Marquer tous les Topics comme lus"; break;
   case "Previous Page": $tmp="Page Prcdente"; break;
   case "Next Page": $tmp="Page Suivante"; break;
   case "Posts": $tmp="Contributions"; break;
   case "New Posts since your last visit.": $tmp="Les nouvelles contributions depuis votre dernire visite."; break;
   case "More than": $tmp="Plus de"; break;
   case "No New Posts since your last visit.": $tmp="Aucune nouvelle contribution depuis votre dernire visite."; break;
   case "Topic is Locked - No new posts may be made in it": $tmp="Ce Sujet est VERROUILL: il ne peut accueillir aucune nouvelle contribution."; break;
   case "Jump To:": $tmp="Sauter  :"; break;
   case "No More Forums": $tmp="Plus de Forum"; break;
   case "Error Connecting to DB": $tmp="Erreur de connexion  la base de donnes"; break;
   case "You must provide subject and message to post your topic.": $tmp="Vous devez choisir un titre et un message pour poster votre Sujet."; break;
   case "Post New Topic in:": $tmp="Poster un nouveau Sujet dans :"; break;
   case "About Posting:": $tmp="A propos des messages privs"; break;
   case "Anonymous users can post new topics and replies in this forum.": $tmp="Les Utilisateurs anonymes peuvent poster de nouveaux Sujets et rponses dans ce Forum."; break;
   case "All registered users can post new topics and replies to this forum.": $tmp="Tous les Utilisateurs enregistrs peuvent poster de nouveaux Sujets et rpondre dans ce Forum."; break;
   case "You are not allowed to post in this forum": $tmp="Vous n'tes pas autoris  participer  ce Forum"; break;
   case "back": $tmp="retour"; break;
   case "Subject: ": $tmp="Titre : "; break;
   case "Message Icon: ": $tmp="Icone du message : "; break;
   case "Message: ": $tmp="Message : "; break;
   case "On": $tmp="Activ"; break;
   case "Off": $tmp="Dsactiv"; break;
   case "Options: ": $tmp="Options : "; break;
   case "Disable HTML on this Post": $tmp="Dsactiver le HTML pour cet envoi"; break;
   case "This can be altered or added in your profile": $tmp="Cela peut tre retir ou ajout dans vos paramtres personnels"; break;
   case "Notify by email when replies are posted": $tmp="Prvenir par E-mail quand de nouvelles rponses sont postes"; break;
   case "Cancel Post": $tmp="Annuler la contribution"; break;
   case "This message was edited by": $tmp="Message dit par"; break;
   case "Untitled": $tmp="Sans titre"; break;
   case "Click here to view the update": $tmp="Cliquez ici pour voir la mise  jour"; break;
   case "Click here to return to the forum index.": $tmp="Cliquez ici pour revenir  l'index des Forums."; break;
   case "Your post has NOT been deleted because one or more posts is already attached (TREE forum).": $tmp="Votre contribution n'a PAS t supprime car au moins un post est encore rattach (Forum ARBRE)."; break;
   case "Editing Post": $tmp="Edition de la soumission"; break;
   case "Delete this Post": $tmp="Supprimer ce message"; break;
   case ".:Page &gt;&gt; Super-Cache:.": $tmp=".:Page &gt;&gt; Super-Cache:."; break;
   case ".:Page &lt;&lt; Super-Cache:.": $tmp=".:Page &lt;&lt; Super-Cache:."; break;
   case "Web Activity": $tmp="Activit du Site"; break;
   case "guest(s) and": $tmp="visiteur(s) et"; break;
   case "member(s) that are online.": $tmp="membre(s) en ligne."; break;
   case "You are logged as": $tmp="Vous tes connect en tant que"; break;
   case "here": $tmp="ici"; break;
   case "You can register for free by clicking": $tmp="Devenez membre privilgi en cliquant"; break;
   case "Who's Online": $tmp="Qui est en ligne ?"; break;
   case "You have": $tmp="Vous avez"; break;
   case "private message(s).": $tmp="message(s) personnel(s)."; break;
   case "NewsLetter": $tmp="La Lettre"; break;
   case "Your email": $tmp="Votre adresse E-mail"; break;
   case "Sign up now to receive our lastest infos.": $tmp="Recevez par mail les nouveauts du site."; break;
   case "most downloaded": $tmp="Les plus tlchargs"; break;
   case "last downloadable files": $tmp="Fichiers les + rcents"; break;
   case "downloads": $tmp="Tlchargements"; break;
   case "Category": $tmp="Catgorie"; break;
   case "Category:": $tmp="Catgorie : "; break;
   case "A problem ocurred": $tmp="Un problme est survenu"; break;
   case "Advanced Search": $tmp="Recherche avance"; break;
   case "There isn't a Biggest Story for Today, yet.": $tmp="Il n'y a pas encore d'Article du Jour."; break;
   case "Today's most read Story is:": $tmp="L'Article le plus consult aujourd'hui est :"; break;
   case "Today's Big Story": $tmp="Article du Jour"; break;
   case "Past Articles": $tmp="Anciens Articles"; break;
   case "Older Articles": $tmp="Articles plus anciens"; break;
   case "Submissions": $tmp="Articles"; break;
   case "Waiting Reviews": $tmp="Critiques"; break;
   case "Waiting Classifieds": $tmp="P. Annonces"; break;
   case "Ephemerids": $tmp="Ephmrides"; break;
   case "One Day like Today...": $tmp="En ce jour..."; break;
   case "Nickname": $tmp="Identifiant"; break;
   case "Login": $tmp="Identifiant "; break;
   case "Don't have an account yet? You can": $tmp="Vous n'avez pas encore de compte personnel ? Vous devriez"; break;
   case "create one": $tmp="en crer un"; break;
   case "As registered": $tmp="Une fois enregistr"; break;
   case "user you have some advantages like theme manager,": $tmp="vous aurez certains avantages, comme pouvoir modifier l'aspect du site,"; break;
   case "comments configuration and post comments with your name.": $tmp="ou poster des Commentaires signs..."; break;
   case "Survey": $tmp="Sondage"; break;
   case "Past Surveys": $tmp="Anciens Sondages"; break;
   case "Votes: ": $tmp="Votes : "; break;
   case "comments:": $tmp="Commentaire(s) : "; break;
   case "You already voted today!": $tmp="Vous avez dj vot aujourd'hui !"; break;
   case "Results": $tmp="Resultats"; break;
   case "votes": $tmp="votes"; break;
   case "Total Votes: ": $tmp="Nombre total de votes: "; break;
   case "We allow just one vote per day": $tmp="Un seul vote par jour !"; break;
   case "Voting Booth": $tmp="Isoloir"; break;
   case "read more...": $tmp="Lire la suite..."; break;
   case "The URL for this story is:": $tmp="L'URL pour cet article est : "; break;
   case "Subscribe": $tmp="Abonnement"; break;
   case "Could not connect to the forums database.": $tmp="Pas de connexion  la base Forums."; break;
   case "The forum you selected does not exist. Please go back and try again.": $tmp="Le Forum slectionn n'existe pas."; break;
   case "Could not query the topics database.": $tmp="Pas de connexion  la base Topics."; break;
   case "Error getting messages from the database.": $tmp="Erreur lors de la rcupration des messages depuis la base."; break;
   case "Please enter the Nickname and the Password.": $tmp="Entrer votre pseudonyme et votre Mot de Passe."; break;
   case "You are not the Moderator of this forum therefore you can't perform this function.": $tmp="Vous n'tes pas le Modrateur de ce Forum, vous ne pouvez utiliser cette fonction."; break;
   case "You did not enter the correct password, please go back and try again.": $tmp="Mot de Passe erron, refaites un essai."; break;
   case "Could not remove posts from the database.": $tmp="Suppression du message impossible."; break;
   case "Could not move selected topic to selected forum. Please go back and try again.": $tmp="Impossible de dplacer le Topic dans le Forum, refaites un essai."; break;
   case "Could not lock the selected topic. Please go back and try again.": $tmp="Impossible de verrouiller le Topic, refaites un essai."; break;
   case "Could not unlock the selected topic. Please go back and try again.": $tmp="Impossible de dverrouiller le Topic, refaites un essai."; break;
   case "Could not query the database.": $tmp="Impossible d'interroger la base."; break;
   case "No such user or post in the database.": $tmp="Utilisateur ou message inexistant dans la base."; break;
   case "Search Engine was unable to query the forums database.": $tmp="Le Moteur de Recherche ne trouve pas la base Forum."; break;
   case "That user does not exist. Please go back and search again.": $tmp="Cet Utilisateur n'existe pas, refaites un essai."; break;
   case "You must type a subject to post. You can't post an empty subject. Go back and enter the subject": $tmp="Vous devez obligatoirement saisir un Sujet, refaites un essai."; break;
   case "You must choose message icon to post. Go back and choose message icon.": $tmp="Vous devez choisir un icne pour votre message, refaites un essai."; break;
   case "You must type a message to post. You can't post an empty message. Go back and enter a message.": $tmp="Message vide interdit, refaites un essai."; break;
   case "Could not enter data into the database. Please go back and try again.": $tmp="Mise  jour de la base impossible, refaites un essai."; break;
   case "Can't delete the selected message.": $tmp="Suppression du message slectionn impossible."; break;
   case "An error ocurred while querying the database.": $tmp="Une erreur est survenue lors de l'interrogation de la base."; break;
   case "Selected message was not found in the forum database.": $tmp="Le message slectionn n'existe pas dans la base Forum."; break;
   case "You can't reply to that message. It wasn't sent to you.": $tmp="Vous ne pouvez rpondre  ce message, vous n'en tes pas le destinataire."; break;
   case "You can't post a reply to this topic, it has been locked. Contact the administrator if you have any question.": $tmp="Vous ne pouvez rpondre  ce Topic il est verrouill. Contacter l'Administrateur du site."; break;
   case "The forum or topic you are attempting to post to does not exist. Please try again.": $tmp="Le Forum ou le Topic que vous tentez de publier n'existe pas, refaites un essai. "; break;
   case "You must enter your username and password. Go back and do so.": $tmp="Vous devez vous identifier."; break;
   case "You have entered an incorrect password. Go back and try again.": $tmp="Mot de Passe erron, refaites un essai."; break;
   case "Couldn't update post count.": $tmp="Mise  jour du compteur des envois impossible.]"; break;
   case "The forum you are attempting to post to does not exist. Please try again.": $tmp="Le Forum dans lequel vous tentez de publier n'existe pas - Recommencez"; break;
   case "You can't edit a post that's not yours.": $tmp="Vous ne pouvez diter ce message, vous n'en tes pas le destinataire."; break;
   case "You do not have permission to edit this post.": $tmp="Vous n'avez pas l'autorisation d'diter ce message."; break;
   case "You did not supply the correct password or do not have permission to edit this post. Please go back and try again.": $tmp="Votre Mot de Passe est erron ou vous n'avez pas l'autorisation d'diter ce message, refaites un essai."; break;
   case "You can't reply to that message.": $tmp="Vous ne pouvez rpondre  ce message."; break;
   case "Forum Error": $tmp="Erreur du Forum"; break;
   case "Error Code:": $tmp="Code d'erreur :"; break;
   case "Please type your client informations": $tmp="Merci de saisir vos informations"; break;
   case "Advertising Statistics": $tmp="Bannires - Publicit"; break;
   case "Current Active Banners for": $tmp="Bannires actives pour"; break;
   case "Made": $tmp="Ralis"; break;
   case "Impressions": $tmp="Impressions"; break;
   case "Imp. Left": $tmp="Imp. restantes"; break;
   case "Clicks": $tmp="Clics"; break;
   case "Functions": $tmp="Fonctions"; break;
   case "Unlimited": $tmp="Illimit"; break;
   case "This Banners points to": $tmp="Cette Bannire est affiche sur l'URL"; break;
   case "Change": $tmp="Changer"; break;
   case "Banners Finished for": $tmp="Bannires termines pour"; break;
   case "Start Date": $tmp="Date de dbut"; break;
   case "End Date": $tmp="Date de fin"; break;
   case "Statistics for Banner ID": $tmp="Les Statistiques pour la Bannires ID"; break;
   case "can't be send because": $tmp="ne peuvent pas tre envoyes."; break;
   case "there isn't an email associated with client": $tmp="E-mail non rempli pour : "; break;
   case "Banner": $tmp="Bannire"; break;
   case "Percent": $tmp="Pourcentage"; break;
   case "Maded": $tmp="Ralises"; break;
   case "Purchased": $tmp="Rserves"; break;
   case "Received": $tmp="Recus"; break;
   case "Lefted": $tmp="Restantes"; break;
   case "Report Generated on": $tmp="Rapport gnr le"; break;
   case "has been send to": $tmp="ont t envoyes."; break;
   case "You changed the URL": $tmp="Vous avez chang l'URL de la Bannire"; break;
   case "Please": $tmp="Merci de"; break;
   case "login again": $tmp="vous reconnecter."; break;
   case "Forums!": $tmp="Forums"; break;
   case "Select forums with discussions of your interest, participate and have a lot of fun!": $tmp="Slectionnez un Forum et participez !"; break;
   case "The only rule here is: Stay on topic of the discussions.": $tmp="La seule rgle est de ne pas sortir du sujet."; break;
   case "Forum": $tmp="Forum"; break;
   case "Sub.": $tmp="Abon."; break;
   case "Type": $tmp="Type"; break;
   case "Moderator": $tmp="Modrateur"; break;
   case "No posts": $tmp="Rien"; break;
   case "Free for All": $tmp="Accessible  tous"; break;
   case "Group": $tmp="Groupe"; break;
   case "Group separator is , (12,55,...)": $tmp="Le sparateur de Groupe est la , (12,55,...)"; break;
   case "Extended Text": $tmp="Texte tendu"; break;
   case "Hidden": $tmp="Cach"; break;
   case "Registered User": $tmp="Utilisateur enregistr"; break;
   case "Submit / Manage Item": $tmp="Passer / Grer une Annonce"; break;
   case "To: ": $tmp=" : "; break;
   case "Send a copy to me": $tmp="Conserver une copie"; break;
   case "Save": $tmp="Enregistrer"; break;
   case "Search in": $tmp="Rechercher dans"; break;
   case "Keyword": $tmp="Mot-cl"; break;
   case "Search for ANY of the terms (Default)": $tmp="Chercher n'importe quel terme (par dfaut)"; break;
   case "Search for ALL of the terms": $tmp="Chercher tous les mots"; break;
   case "Search All Forums": $tmp="Rechercher dans tous les Forums"; break;
   case "Author's Name": $tmp="Nom d'Auteur"; break;
   case "Sort by": $tmp="Class par"; break;
   case "Post Time": $tmp="Heure de la soumission"; break;
   case "No records match that query. Please broaden your search.": $tmp="Aucune rponse pour les mots que vous cherchez. Elargissez votre recherche."; break;
   case "Posted": $tmp="Post"; break;
   case "pages": $tmp="pages"; break;
   case "Anonymous": $tmp="Anonyme"; break;
   case "Posted: ": $tmp="Post : "; break;
   case "Profile": $tmp="Profil"; break;
   case "Email": $tmp="E-mail"; break;
   case "Quote": $tmp="Citation"; break;
   case "Goto Page: ": $tmp="Aller  la page : "; break;
   case "Jump To: ": $tmp="Sauter  : "; break;
   case "Administration Tools": $tmp="Outils Administrateur"; break;
   case "Lock this Topic": $tmp="Fermer ce Sujet"; break;
   case "Unlock this Topic": $tmp="Ouvrir ce Sujet"; break;
   case "Move this Topic": $tmp="Dplacer ce Sujet"; break;
   case "Delete this Topic": $tmp="Effacer ce Sujet"; break;
   case "Administration BlackBoard": $tmp="Tableau de Bord"; break;
   case "Day(s)": $tmp="Jour(s)"; break;
   case "Hour(s)": $tmp="Heure(s)"; break;
   case "Minut(s)": $tmp="Minute(s)"; break;
   case "Second(s)": $tmp="Seconde(s)"; break;
   case "General Stats": $tmp="Statistiques Gnrales"; break;
   case "Past Stat": $tmp="Dernires Stats"; break;
   case "Nb of Pages": $tmp="Nb. pages vues"; break;
   case "Nb of members": $tmp="Nb. de Membres"; break;
   case "Nb of articles": $tmp="Nb. d'Articles"; break;
   case "Nb of forums": $tmp="Nb. de Forums"; break;
   case "Nb of topics": $tmp="Nb. de Sujets"; break;
   case "Nb of reviews": $tmp="Nb. de Critiques"; break;
   case "Nb Outside Users for LNL": $tmp="Nb. de prospects LNL"; break;
   case "Download Stats": $tmp="Statistiques des Tlchargements"; break;
   case "Related Links": $tmp="Liens Relatifs"; break;
   case "More about": $tmp="En savoir plus  propos de"; break;
   case "News by": $tmp="Article de"; break;
   case "Most read story about": $tmp="L'Article le plus lu  propos de"; break;
   case "Last news about": $tmp="Les dernires nouvelles  propos de"; break;
   case "Name:": $tmp="Nom :"; break;
   case "Text:": $tmp="Texte : "; break;
   case "Configure": $tmp="Configurer"; break;
   case "comment": $tmp="Commentaire"; break;
   case "The comments are owned by the poster. We aren't responsible for their content.": $tmp="Les Commentaires sont la proprit de leurs auteurs. Nous ne sommes pas responsables de leur contenu."; break;
   case "Reply": $tmp="Rpondre"; break;
   case "Your Name": $tmp="Votre nom"; break;
   case "Subject": $tmp="Sujet"; break;
   case "Comment": $tmp="Commentaire"; break;
   case "Allowed HTML:": $tmp="HTML autoris : "; break;
   case "Preview": $tmp="Prvisualiser"; break;
   case " on...": $tmp=" le..."; break;
   case "This account or IP has been temporarily disabled. This means that either this IP, or user account has been moderated down more than x times in the last few hours. If you think this is unfair, you should contact the admin.": $tmp="Compte ou adresse IP dsactive. Cet metteur a <i>particip</i> plus de x fois dans les dernires heures ! Merci de contacter le Webmestre de ce site."; break;
   case "File Information": $tmp="Information sur le fichier"; break;
   case "Program Name": $tmp="Nom du programme"; break;
   case "File Size": $tmp="Taille du fichier"; break;
   case "Version": $tmp="Version"; break;
   case "Upload Date": $tmp="Date de Tlchargement sur le serveur"; break;
   case "Description": $tmp="Description"; break;
   case "Downloads": $tmp="Tlchargements"; break;
   case "HomePage": $tmp="Page d'Accueil"; break;
   case "Download This File Now!": $tmp="Tlcharger le fichier immdiatement !"; break;
   case "Select Category Folder": $tmp="Slectionner une catgorie"; break;
   case "All": $tmp="Tous"; break;
   case "Sort Ascending": $tmp="Ordre croissant"; break;
   case "Sort Descending": $tmp="Ordre dcroissant"; break;
   case "Download Now!": $tmp="Tlcharger maintenant"; break;
   case "Info": $tmp="Information"; break;
   case "Display filtered with": $tmp="Affichage filtr pour"; break;
   case "sorted by": $tmp="tri par ordre"; break;
   case "Ascending": $tmp="Croissant"; break;
   case "Descending": $tmp="Dcroissant"; break;
   case "Name": $tmp="Nom"; break;
   case "Creation Date": $tmp="Date de Cration"; break;
   case "off": $tmp="de"; break;
   case "Private": $tmp="Priv"; break;
   case "Download Section": $tmp="Rubrique de tlchargement"; break;
   case "There is no such file...": $tmp="Ce fichier n'existe pas ..."; break;
   case "FAQ (Frequently Ask Question)": $tmp="FAQ (Questions frquentes)"; break;
   case "Answer": $tmp="Rponse"; break;
   case "Back to Top": $tmp="Haut de page"; break;
   case "Back to FAQ Index": $tmp="Retour  l'index FAQ"; break;
   case "Send Story to a Friend": $tmp="Envoi d'un Article  un ami"; break;
   case "You will send the story": $tmp="Vous allez envoyer cet Article"; break;
   case "to a specified friend:": $tmp=" cette personne : "; break;
   case "Friend Name: ": $tmp="Nom du destinataire : "; break;
   case "Friend Email: ": $tmp="E-mail du destinataire : "; break;
   case "Send": $tmp="Envoyer"; break;
   case "Interesting Article at": $tmp="Article intressant sur"; break;
   case "Your Friend": $tmp="Votre ami"; break;
   case "considered the following article interesting and wanted to send it to you.": $tmp="a trouv cet article intressant et a souhait vous l'envoyer."; break;
   case "Date:": $tmp="Date :"; break;
   case "Topic:": $tmp="Sujet : "; break;
   case "The Article": $tmp="L'article"; break;
   case "Story": $tmp="L'Article"; break;
   case "has been sent to": $tmp="a t envoy "; break;
   case "Thanks!": $tmp="Merci !"; break;
   case "Recommend this Site to a Friend": $tmp="Recommander ce site  un ami"; break;
   case "Interesting Site:": $tmp="Site  dcouvrir : "; break;
   case "considered our site": $tmp="a trouv notre site"; break;
   case "interesting and wanted to send it to you.": $tmp="intressant et a voulu vous le faire connatre."; break;
   case "The reference to our site has been sent to": $tmp="Nos rfrences ont t envoy  "; break;
   case "Thanks for recommend us!": $tmp="Merci de nous recommander !"; break;
   case "Click on Smilies to insert it on your Message": $tmp="Cliquez pour insrer des moticons dans votre message"; break;
   case "bytes more": $tmp="caractres de plus"; break;
   case "Read More...": $tmp="Lire la suite..."; break;
   case "comments?": $tmp="Commentaires ?"; break;
   case "comments": $tmp="Commentaires"; break;
   case "Popular": $tmp="Populaire"; break;
   case "Top Rated": $tmp="Prfrs"; break;
   case "Random": $tmp="Hasard"; break;
   case "Editor Review": $tmp="Revue de l'Editeur"; break;
   case "Register for an Account": $tmp="Crer un compte"; break;
   case "vote": $tmp="vote"; break;
   case "Details": $tmp="Details"; break;
   case "of": $tmp="de"; break;
   case "links": $tmp="les Liens"; break;
   case "Categories": $tmp="Catgories"; break;
   case "No matches found to your query": $tmp="Aucune correspondance  votre recherche n'a t trouve"; break;
   case "User": $tmp="Utilisateur"; break;
   case "total votes": $tmp="total votes"; break;
   case "Registered Users": $tmp="Utilisateurs enregistrs"; break;
   case "to": $tmp=""; break;
   case "Return to": $tmp="Revenir "; break;
   case "Thank you for taking the time to record you in or DataBase.": $tmp="Merci d'avoir consacr du temps pour vous enregistrer."; break;
   case "For Unsubscribe, please goto": $tmp="Pour supprimer votre abonnement  notre Lettre, merci d'utiliser"; break;
   case "Empty data not allowed.": $tmp="Cette donne ne doit pas tre vide."; break;
   case "Sort by:": $tmp="Class par ordre de : "; break;
   case "nickname": $tmp="identifiant"; break;
   case "real name": $tmp="vrai nom"; break;
   case "Location": $tmp="Localisation"; break;
   case "url": $tmp="URL"; break;
   case "Members List": $tmp="Liste des membres"; break;
   case "Greetings to our latest registered user:": $tmp="Bienvenue au dernier membre affili : "; break;
   case "We have": $tmp="Il y a actuellement"; break;
   case "registered users so far.": $tmp="membres enregistrs."; break;
   case "URL": $tmp="URL"; break;
   case "Send internal Message": $tmp="Envoyer un message Interne"; break;
   case "RAZ member's list": $tmp="RAZ de la liste"; break;
   case "Write to the list": $tmp="Ecrire  la liste"; break;
   case "users found for": $tmp="Utilisateurs trouvs pour"; break;
   case "users shown": $tmp="Utilisateurs montrs"; break;
   case "users found": $tmp="Utilisateurs trouvs"; break;
   case "No Members Found for": $tmp="Aucun membre trouv pour"; break;
   case "This article comes from": $tmp="Cet article provient de"; break;
   case "Private Message": $tmp="Message personnel"; break;
   case "To": $tmp="Envoy "; break;
   case "From": $tmp="venant de"; break;
   case "You don't have any Messages.": $tmp="Vous n'avez aucun message."; break;
   case "Sent": $tmp="Envoy"; break;
   case "Previous Messages": $tmp="Message prcdent"; break;
   case "Next Messages": $tmp="Message suivant"; break;
   case "Reply Posted.": $tmp="Rponse poste."; break;
   case "You must type a message to post.": $tmp="Vous devez taper un message  poster."; break;
   case "Post Reply in Topic:": $tmp="Poster la rponse dans le sujet :"; break;
   case "You are not allowed to reply in this forum": $tmp="Vous n'tes pas autoris  participer  ce Forum"; break;
   case "wrote:": $tmp="a crit :"; break;
   case "Topic Review": $tmp="Aperu des Sujets"; break;
   case "Write a Review": $tmp="Ecrire une Critique"; break;
   case "Write a Review for": $tmp="Ecrire une Critique pour"; break;
   case "Product Title": $tmp="Nom du produit"; break;
   case "Name of the Reviewed Product.": $tmp="Nom du produit critiqu."; break;
   case "Review": $tmp="Critique"; break;
   case "Your actual review. Please observe proper grammar! Make it at least 100 words, OK? You may also use HTML tags if you know how to use them.": $tmp="Votre critique. Attention  votre expression crite ! Vous pouvez utilisez du HTML si vous savez le faire"; break;
   case "Your name": $tmp="Votre nom"; break;
   case "Your Full Name. Required.": $tmp="Votre nom complet. C'est indispensable."; break;
   case "Your E-mail address. Required.": $tmp="Votre adresse E-mail. Obligatoire"; break;
   case "Select from 1=poor to 10=excelent.": $tmp="Choisir entre 1 et 10 (1=nul 10=excellent)"; break;
   case "Related Link": $tmp="Liens relatifs"; break;
   case "Product Official Website. Make sure your URL starts by": $tmp="Site Web officiel du produit. Soyez vigilant que votre URL commence bien par"; break;
   case "Link title": $tmp="Titre du Lien"; break;
   case "Required if you have a related link, otherwise not required.": $tmp="Obligatoire seulement si vous soumettez un Lien relatif"; break;
   case "Image filename": $tmp="Nom de fichier de l'Image"; break;
   case "Name of the cover image, located in images/reviews/. Not required.": $tmp="Nom de l'image principale, situe dans images/reviews/. Non obligatoire."; break;
   case "Please make sure that the information entered is 100% valid and uses proper grammar and capitalization. For instance, please do not enter your text in ALL CAPS, as it will be rejected.": $tmp="Soyez-sr de l'exactitude de votre information avant de la communiquer. N'crivez pas en MAJUSCULES, votre texte serait automatiquement rejet !"; break;
   case "Invalid Title... can not be blank": $tmp="Titre non valide... Il ne peut pas tre vide"; break;
   case "Invalid review text... can not be blank": $tmp="Texte de critique non valide... Il ne peut pas tre vide"; break;
   case "Invalid score... must be between 1 and 10": $tmp="Note non valide... Elle doit se situer entre 1 et 10"; break;
   case "Hits must be a positive integer": $tmp="Le nombre de Hits doit tre un entier positif"; break;
   case "You must enter both your name and your email": $tmp="Vous devez entrer votre nom ET votre adresse E-mail"; break;
   case "Invalid email (eg: you@hotmail.com)": $tmp="E-mail non valide (ex.: prenom.nom@hotmail.com)"; break;
   case "You must enter BOTH a link title and a related link or leave both blank": $tmp="Vous devez entrer un titre de Lien ET une adresse relative, ou laisser les deux zones vides"; break;
   case "Added:": $tmp="Ajout :"; break;
   case "Reviewer:": $tmp="Le critique : "; break;
   case "Score:": $tmp="Note : "; break;
   case "Review ID": $tmp="ID de la critique"; break;
   case "Hits": $tmp="Nombre de Hits"; break;
   case "Does this look right?": $tmp="Cela semble-t-il correct ?"; break;
   case "modified": $tmp="modifi"; break;
   case "added": $tmp="ajout"; break;
   case "Note:": $tmp="Note :"; break;
   case "Currently logged in as admin... this review will be": $tmp="Actuellement connect en tant qu'Administrateur... Cette critique sera"; break;
   case "immediately": $tmp="immdiatement"; break;
   case "Thanks for submitting this review": $tmp="Merci d'avoir post cette critique"; break;
   case "modification": $tmp="modification"; break;
   case "It is now available in the reviews database.": $tmp="Ds maintenant disponible dans la base de donnes des critiques."; break;
   case "The editors will look at your submission. It should be available soon!": $tmp="Les Editeurs vont tudier votre contribution. Elle devrait bientt tre disponible !"; break;
   case "Back to Reviews Index": $tmp="Retour  l'index des Critiques"; break;
   case "Welcome to Reviews Section": $tmp="Bienvenue dans la Rubrique des Critiques"; break;
   case "most popular reviews": $tmp="critiques les plus populaires"; break;
   case "most recent reviews": $tmp="critiques les plus rcentes"; break;
   case "reviews in the database": $tmp="critiques"; break;
   case "Reviews for letter": $tmp="Critiques pour La Lettre"; break;
   case "There isn't any Review for letter": $tmp="Il n'y a aucune critique pour La Lettre"; break;
   case "Total Review(s) found.": $tmp="Critique(s) trouve(s)."; break;
   case "Comment on the Review:": $tmp="Commentaire  propos d'une critique :"; break;
   case "This Product Score:": $tmp="Note de ce produit : "; break;
   case "Your Comment:": $tmp="Votre Commentaire : "; break;
   case "My Score:": $tmp="Ma note : "; break;
   case "Admin:": $tmp="Administrateur : "; break;
   case "Related Link:": $tmp="Liens relatifs : "; break;
   case "Hits:": $tmp="Hits : "; break;
   case "Review Modification": $tmp="Modification d'une Critique"; break;
   case "Email:": $tmp="E-mail : "; break;
   case "Link:": $tmp="Lien : "; break;
   case "Link title:": $tmp="Titre du lien : "; break;
   case "Cover image:": $tmp="Image de garde : "; break;
   case "Preview Modifications": $tmp="Prvisualiser les modifications"; break;
   case "Cancel": $tmp="Annuler"; break;
   case "Total": $tmp="Total"; break;
   case "Usage": $tmp="Utilisation"; break;
   case "Free": $tmp="Libre"; break;
   case "cached": $tmp="en cache"; break;
   case "Total:": $tmp="Total : "; break;
   case "Usage:": $tmp="Utilisation : "; break;
   case "Size": $tmp="Taille"; break;
   case "Used": $tmp="Utilis"; break;
   case "We received": $tmp="Nos visiteurs ont visualis"; break;
   case "views since": $tmp="pages depuis le"; break;
   case "Browsers": $tmp="Navigateurs Web"; break;
   case "Search Engines": $tmp="Moteurs de recherche"; break;
   case "Robots - Spiders": $tmp="Robots - Spiders"; break;
   case "Unknown": $tmp="Inconnu"; break;
   case "Operating Systems": $tmp="Systmes d'exploitation"; break;
   case "Number of users per theme": $tmp="Nombre d'utilisateurs par thme"; break;
   case "Default": $tmp="par dfaut"; break;
   case "Miscelaneous Stats": $tmp="Statistiques diverses"; break;
   case "Registered Users: ": $tmp="Utilisateurs enregistrs : "; break;
   case "Active Authors: ": $tmp="Auteurs actifs : "; break;
   case "Stories Published: ": $tmp="Articles publis : "; break;
   case "Active Topics: ": $tmp="Sujets actifs : "; break;
   case "Comments Posted: ": $tmp="Commentaires posts : "; break;
   case "Special Sections: ": $tmp="Rubriques spciales : "; break;
   case "Articles in Sections: ": $tmp="Articles prsents dans les Rubriques : "; break;
   case "Links in Web Links: ": $tmp="Liens prsents dans la Rubrique des Liens Web : "; break;
   case "Categories in Web Links: ": $tmp="Catgories dans la Rubrique des Liens Web : "; break;
   case "News Waiting to be Published: ": $tmp="Article en attente d'dition : "; break;
   case "Submit News": $tmp="Soumettre un Article"; break;
   case "Be Descriptive, Clear and Simple": $tmp="Faites simple !"; break;
   case "bad titles='Check This Out!' or 'An Article'.": $tmp="Mais ne titrez pas -un article-, ou - lire-,..."; break;
   case "Select Topic": $tmp="Slectionner un Sujet"; break;
   case "Intro Text": $tmp="Texte d'introduction"; break;
   case "HTML is fine, but double check those URLs and HTML tags!": $tmp="Les spcialistes peuvent utiliser du HTML, mais attention aux erreurs !"; break;
   case "You must preview once before you can submit": $tmp="Vous devez prvisualiser avant de pouvoir envoyer"; break;
   case "The topic has been moved.": $tmp="Le sujet a t dplac."; break;
   case "Click here to view the updated topic.": $tmp="Cliquez ici pour voir le nouveau Sujet."; break;
   case "Users IP and Account information": $tmp="Adresses IP et informations sur les comptes Utilisateurs"; break;
   case "User IP: ": $tmp="Adresse IP de l'Utilisateur : "; break;
   case "Move Topic To: ": $tmp="Dplacer le Sujet vers : "; break;
   case "Delete Topic": $tmp="Effacer le Sujet"; break;
   case "Move Topic": $tmp="Dplacer le Sujet"; break;
   case "Lock Topic": $tmp="Fermer le Sujet"; break;
   case "Unlock Topic": $tmp="Ouvrir le Sujet"; break;
   case "View IP": $tmp="Consulter l'adresse IP"; break;
   case "You are not the moderator of this forum therefor you cannot perform this function.": $tmp="Vous n'tes pas identifi comme Modrateur de ce Forum. Opration interdite."; break;
   case "Inbox": $tmp="Bote de rception"; break;
   case "Not Read": $tmp="Non lu"; break;
   case "Outbox": $tmp="Bote d'mission"; break;
   case "Home": $tmp="Origine"; break;
   case "Internal": $tmp="Interne"; break;
   case "All registered users can post private messages.": $tmp="Tous les Utilisateurs enregistrs peuvent poster des messages privs."; break;
   case "Cancel Reply": $tmp="Annuler la Rponse"; break;
   case "Cancel Send": $tmp="Annuler l'Envoi"; break;
   case "Room": $tmp="Salle"; break;
   case "SubCategory": $tmp="Sous-catgorie"; break;
   case "Add articles": $tmp="Ajouter un article"; break;
   case "stb = Request in standby": $tmp="stb = Demande en attente de validation"; break;
   case "Price": $tmp="Prix"; break;
   case "To use this application you must be": $tmp="Pour utiliser cette application, vous devez tre"; break;
   case "Advance User": $tmp="Utilisateur Avanc"; break;
   case "Name is too long or empty. It must be less than 50 characters.": $tmp="Votre nom est trop long ou vide. Il doit faire moins de 50 caractres."; break;
   case "Address": $tmp="Adresse"; break;
   case "City": $tmp="Ville"; break;
   case "Country": $tmp="Pays"; break;
   case "User Informations": $tmp="Informations sur le Compte"; break;
   case "Zip Code": $tmp="Code postal"; break;
   case "Name or Entrepise": $tmp="Nom ou Raison Sociale"; break;
   case "Money": $tmp="Monnaie"; break;
   case "Period": $tmp="Priode"; break;
   case "Look": $tmp="Interface"; break;
   case "Allow the automatic validation of offers?": $tmp="Autoriser la validation automatique des offres ?"; break;
   case "Max days for offers": $tmp="Nombre de jours maximum pour une offre"; break;
   case "0 : unlimited / 1 to": $tmp="0 : illimit / 1 "; break;
   case "request for the same user.": $tmp="demandes en cours pour le mme utilistaeur."; break;
   case "Submit an offer": $tmp="Soumettre une offre"; break;
   case "Access to this application is reserved to Advance Registered Users. Please Registered.": $tmp="L'accs  cette application est rserv aux Utilisateurs Avancs. Merci de vous enregistrer."; break;
   case "Offers per page": $tmp="Offres par page"; break;
   case "Subcategory per row": $tmp="Sous-catgories par ligne (Page Principale)"; break;
   case "Allow automated new-users configuration?": $tmp="Autoriser la cration automatique des membres ?"; break;
   case "0=No - 1=Yes": $tmp="O=Non - 1=Oui"; break;
   case "Your client informations (Name, Tel, ...)": $tmp="Vos informations personnelles (Nom, Tl., ...)"; break;
   case "Your offer": $tmp="Votre offre"; break;
   case "Offer": $tmp="Offre"; break;
   case "Your Message has been Posted": $tmp="Votre message a t post"; break;
   case "Are you sure you want to delete SubCategory": $tmp="Etes vous sr de vouloir effacer cette Sous-catgorie ?"; break;
   case "Search in Users Database": $tmp="Rechercher dans la Base des Utilisateurs"; break;
   case "Search in Reviews": $tmp="Rechercher dans les Critiques"; break;
   case "Articles": $tmp="Articles"; break;
   case "All Authors": $tmp="Tous les Auteurs"; break;
   case "month": $tmp="mois"; break;
   case "months": $tmp="mois"; break;
   case "Search on:": $tmp="Chercher : "; break;
   case "Stories": $tmp="Articles"; break;
   case "Sections": $tmp="Rubriques"; break;
   case "Users": $tmp="Utilisateurs"; break;
   case "Reviews": $tmp="Critiques"; break;
   case "No name entered": $tmp="Aucun nom n'a t entr"; break;
   case "Welcome to the TOP page for": $tmp="Bienvenue sur la page de garde de"; break;
   case "most read stories": $tmp="articles les plus lus"; break;
   case "read:": $tmp="lu : "; break;
   case "times": $tmp="Fois"; break;
   case "most commented stories": $tmp="Articles les plus comments"; break;
   case "most active categories": $tmp="Catgories les plus actives"; break;
   case "most read articles in special sections": $tmp="Articles les plus lus dans les Rubriques Spciales"; break;
   case "most active news submitters": $tmp="Auteurs de News les plus prolifiques"; break;
   case "sent news:": $tmp="Articles envoys : "; break;
   case "most voted polls": $tmp="sondages avec le meilleur taux de participation"; break;
   case "votes:": $tmp="votes :"; break;
   case "most active authors": $tmp="Auteurs les plus actifs"; break;
   case "news published:": $tmp="Articles publis : "; break;
   case "most read reviews": $tmp="Critiques les plus lues"; break;
   case "Current Active Topics": $tmp="Sujets actifs"; break;
   case "Click to list all articles in this topic": $tmp="Cliquez pour voir la liste des Articles de ce Sujet"; break;
   case "Manage your subscribes": $tmp="Gestion de vos Abonnements"; break;
   case "Current Survey Voting Booth": $tmp="Isoloir du vote en cours"; break;
   case "Following are the articles published under this section.": $tmp="Voici les Articles publis dans cette Rubrique."; break;
   case "Return to Sections Index": $tmp="Retour  l'Index des Rubriques"; break;
   case "total words in this text)": $tmp=" mots dans ce texte )"; break;
   case "Back to": $tmp="Retour vers"; break;
   case "Sections Index": $tmp="Index des Rubriques"; break;
   case "Counter": $tmp="Compteur"; break;

   // NPDS 4.8 P3
   case "Submission in progress. After Uploading your files, please click on the OK button to finish.": $tmp="Soumission en cours. Une fois vos fichiers tlchargs, cliquer sur le bouton OK pour finir."; break;
   case "Join us ! As a registered user, cool stuff like : forum'subscribing, special forums (hidden, members ...), post and read status, ... are avaliable.": $tmp="Devenez membre ! Vous disposerez de fonctions spcifiques : abonnements, forums spciaux (cachs, membres, ..), statut de lecture, ..."; break;
   case "Unsubscribe": $tmp="Dsabonnement"; break;
   // NPDS 4.8 P3

   // NPDS 4.8 P4
   case "Closed": $tmp="Ferm"; break;
   case "Only Moderators can post new topics and replies in this forum.": $tmp="Seuls les Modrateurs peuvent poster de nouveaux Sujets et rpondre dans ce Forum."; break;
   case "Normal post": $tmp="Post affich"; break;
   case "Hidden post": $tmp="Post cach"; break;
   case "User DNS: ": $tmp="Adresse DNS de l'Utilisateur : "; break;
   case "Referer max count limit : Save your referer via Admin function.": $tmp="Limite des rfrants : pensez  archiver vos rfrants via l'administration du site."; break;
   case "You have a new message.": $tmp="Vous avez un nouveau message."; break;
   case "Click here to read your new message.": $tmp="Cliquez ici pour lire votre nouveau message."; break;
   case "Send me an email when Internal Message arrive": $tmp="M'envoyer un Mel lorsque qu'un Message Interne arrive"; break;
   case "Invisible' member": $tmp="Membre invisible"; break;
   case "not showed in memberlist, members' message bloc ...": $tmp="non affich dans l'annuaire, Msg  un membre, ..."; break;
   case "Day": $tmp="Jour"; break;
   case "Month": $tmp="Mois"; break;
   case "Hour": $tmp="Heure"; break;
   case "Start Date for this New": $tmp="Date de publication"; break;
   case "End Date for this New": $tmp="Date de fin de publication"; break;
   case "Auto Delete the New at End Date": $tmp="Epuration de la New  la fin de sa date de validit"; break;
   case "Make this Topic the first one": $tmp="Mettre ce sujet en premier"; break;
   case "We allow just one vote per poll.": $tmp="Un seul vote par sondage."; break;
   // NPDS 4.8 P4

   // NPDS 5.0
   case "* for mandatory field": $tmp="* Dsigne un champ obligatoire"; break;
   case "Retype Password": $tmp="Entrez  nouveau votre Mot de Passe"; break;
   case "Re-activate the standard'avatars": $tmp="Revenir aux avatars standards"; break;
   case "the page": $tmp="la page"; break;
   // NPDS 5.0

   // NPDS 5.0 P1
   case "Bookmark": $tmp="Carnet d'adresses"; break;
   case "Upload file after send accepted": $tmp="Tlcharger un fichier une fois l'envoi accept"; break;
   case "Avatar": $tmp="Avatar"; break;
   case "Files": $tmp="Fichiers"; break;
   case "You can upload a file <b>carnet.txt</b> in your Mini-Web site.<br /><br />the data structure of any line :<br />&nbsp;&nbsp;<b>name_of_the_member;email;comments</b>"; $tmp="Vous pouvez tlcharger un fichier <b>carnet.txt</b> dans votre MiniSite.<br /><br />La structure de chaque ligne de ce fichier :<br />&nbsp;&nbsp;<b>nom_du_membre;adresse email;commentaires</b>"; break;
   case "Pages showed since"; $tmp="Pages vues depuis"; break;
   case "Statistics"; $tmp="Statistiques"; break;
   case "Top"; $tmp="Top"; break;
   case "Mini-Web site"; $tmp="MiniSite"; break;
   case "Manage my Mini-Web site"; $tmp="Grer votre MiniSite"; break;
   case "Your account": $tmp="Votre compte"; break;
   // NPDS 5.0 P1

   // NPDS 5.0 Runner
   case "Question": $tmp="Question"; break;
   case "EDITO": $tmp="EDITO"; break;
   case "Top of the article": $tmp="Dbut de l'article"; break;
   // NPDS 5.0 Runner

   // NPDS 5.0 Narval
   case "No category": $tmp="Aucune catgorie"; break;
   case "Select a language": $tmp="Choisir une langue"; break;
   case "No language": $tmp="Aucune langue"; break;
   case "Login box": $tmp="Se connecter"; break;
   case "More smilies": $tmp="Plus d'moticons"; break;
   case "favourite": $tmp="favori"; break;
   // NPDS 5.0 Narval

   // NPDS Sable
   case "All to develop": $tmp="Tout Dvelopper"; break;
   case "All to gather": $tmp="Tout Regrouper"; break;
   case "Site map": $tmp="Plan du site"; break;
   case "Archives": $tmp="Archives"; break;
   case "You must accept the terms of use of this website": $tmp="Vous devez accepter la charte d'utilisation du site"; break;
   case "Solved": $tmp="Rsolu"; break;
   case "Editor": $tmp="Editeur"; break;
   case "Only": $tmp="Seulement"; break;
   case "Without": $tmp="Sans"; break;
   case "or": $tmp="ou"; break;
   case "Your IP is recorded": $tmp="Votre adresse IP est enregistre"; break;
   case "daydate": $tmp="%A %d %B %Y"; break; // meta-lang !date!
   case "Register to web site' mailing list" : $tmp="S'inscrire  la liste de diffusion du site"; break;
   case "Update": $tmp="Mise  jour"; break;
   case "Theme(s)": $tmp="Thme(s)"; break;
   case "Status": $tmp="Status"; break;
   case "You may be interested in:": $tmp="Cela pourrait vous intresser :"; break;
   case "Back to chapter:": $tmp="Retour  la sous-rubrique :"; break;
   case "Other courses in chapter:": $tmp="Autres publications de la sous-rubrique :"; break;
   case "Back to console": $tmp="Retour  l'administration"; break;
   case "in the sub-section": $tmp="dans la sous-rubrique"; break;
   case "Search in Sections": $tmp="Rechercher dans les Rubriques"; break;
   // NPDS Sable

   // NPDS Dune
   case "Ok": $tmp="Ok"; break;
   case "Anti-Spam / Thank to reply to the question :": $tmp="Anti-Spam / Merci de r&eacute;pondre &agrave; la question suivante : "; break;
   case "Guest": $tmp="Visiteur"; break;
   case "Last articles": $tmp="Derniers articles"; break;

   // Phrases modifies :
   case "Check a forum and click on button for receive an Email when a new submission is made in it.": $tmp="Cochez un forum et cliquez sur le bouton pour recevoir un Email lors d'une nouvelle soumission dans celui-ci."; break;
   case "Error": $tmp="Erreur"; break;
   // NPDS Dune

   // Fusion PP_translate
   case "You are logged in as": $tmp = "Vous tes connect en tant que :"; break;
   case "person chatting right now.": $tmp = "personne connecte."; break;
   case "people chatting right now.": $tmp = "personnes connectes."; break;
   case "Clear Chat DB": $tmp = "Vider la Table ChatBox"; break;
   case "Message to Member": $tmp = "Message  un Membre"; break;
   case "M2M box": $tmp = "M2M bloc"; break;
   case "click here to open the chat window...": $tmp = "Cliquez ici pour entrer"; break;
   case "Chat box": $tmp = "Chat bloc"; break;
   case "Forums infos": $tmp = "Forums infos"; break;

   // WS
   case "Groups setting.": $tmp = "Gestion des groupes."; break;
   case "Group blog.": $tmp = "Blog du groupe."; break;
   case "File manager": $tmp = "Gestionnaire fichiers"; break;
   case "Group forum.": $tmp = "Forum du groupe."; break;
   case "forum": $tmp = "forum"; break;
   case "Group file manager.": $tmp = "File manager du groupe."; break;
   case "Group chat.": $tmp = "Chat du groupe."; break;
   case "Group members list.": $tmp = "Liste des membres du groupe."; break;
   case "Members": $tmp = "Membres"; break;
   case "is connected !": $tmp = "est connect !"; break;
   case "is not connected !": $tmp = "n'est pas connect !"; break;
   case "Visit the Mini Web Site !": $tmp = "Visitez le Minisite !"; break;
   case "Co-writing": $tmp = "Co-rdaction"; break;
   case "Hide list": $tmp = "Replier la liste"; break;
   case "Show list": $tmp = "Dplier la liste"; break;
   case "Multi-writers document": $tmp = "Document co-rdig"; break;
   case "Open a chat for the group.": $tmp = "Ouvrir un salon de chat pour le groupe."; break;
   case "Last editor": $tmp = "Dernier diteur"; break;
   case "for group": $tmp = "pour le groupe"; break;
   case "Mailing list": $tmp = "Liste de diffusion"; break;
   case "Add to mailing list": $tmp = "Ajouter  la liste de diffusion"; break;
   case "Connection allowed": $tmp = "Connexion autorise"; break;
   case "Connection not allowed": $tmp = "Connexion non autorise"; break;
   case "0": $tmp="zro"; break;
   case "1": $tmp="un"; break;
   case "2": $tmp="deux"; break;
   case "3": $tmp="trois"; break;
   case "4": $tmp="quatre"; break;
   case "5": $tmp="cinq"; break;
   case "6": $tmp="six"; break;
   case "7": $tmp="sept"; break;
   case "8": $tmp="huit"; break;
   case "9": $tmp="neuf"; break;
   case "+": $tmp="plus"; break;
   case "-": $tmp="moins"; break;
   case "/": $tmp="divis par"; break;
   case "*": $tmp="multipli par"; break;
// WS

   default: $tmp = "Ncessite une traduction <b>[** $phrase **]</b>"; break;
 }
 return $tmp;
}
?>